
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 64      |
| TEST_REGION               | [('0x80000390', '0x800089c0')]      |
| SIG_REGION                | [('0x8000a010', '0x8000b980', '814 dwords')]      |
| COV_LABELS                | mulhu      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/temp/riscof_work/mulhu-01.S/ref.S    |
| Total Number of coverpoints| 1000     |
| Total Coverpoints Hit     | 994      |
| Total Signature Updates   | 814      |
| STAT1                     | 811      |
| STAT2                     | 3      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```
Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x80008980]:mulhu
      [0x80008984]:sd
 -- Signature Address: 0x8000b968 Data: 0xfe00fffffffffffe
 -- Redundant Coverpoints hit by the op
      - opcode : mulhu
      - rs1 : x10
      - rs2 : x11
      - rd : x12
      - rs1 != rs2  and rs1 != rd and rs2 != rd
      - rs2_val == 18374686479671623679
      - rs1_val == 18374686479671623679
      - rs1_val == rs2_val and rs1_val > 0 and rs2_val > 0
      - rs1_val > 0 and rs2_val > 0




Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x80008998]:mulhu
      [0x8000899c]:sd
 -- Signature Address: 0x8000b970 Data: 0x000000000000003f
 -- Redundant Coverpoints hit by the op
      - opcode : mulhu
      - rs1 : x10
      - rs2 : x11
      - rd : x12
      - rs1 != rs2  and rs1 != rd and rs2 != rd
      - rs1_val != rs2_val and rs1_val > 0 and rs2_val > 0
      - rs1_val == 18446708889337462783
      - rs2_val == 64
      - rs1_val > 0 and rs2_val > 0




Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x800089ac]:mulhu
      [0x800089b0]:sd
 -- Signature Address: 0x8000b978 Data: 0x0000000000020000
 -- Redundant Coverpoints hit by the op
      - opcode : mulhu
      - rs1 : x10
      - rs2 : x11
      - rd : x12
      - rs1 != rs2  and rs1 != rd and rs2 != rd
      - rs1_val != rs2_val and rs1_val > 0 and rs2_val > 0
      - rs2_val == 16777216
      - rs1_val == 144115188075855872
      - rs1_val > 0 and rs2_val > 0






```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|            signature             |                                                                                                                          coverpoints                                                                                                                          |                   code                    |
|---:|----------------------------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|-------------------------------------------|
|   1|[0x8000a010]<br>0xffffffe0000000fe|- opcode : mulhu<br> - rs1 : x7<br> - rs2 : x7<br> - rd : x7<br> - rs1 == rs2 == rd<br> - rs2_val == 18446744004990074879<br> - rs1_val == 18446744004990074879<br> - rs1_val == rs2_val and rs1_val > 0 and rs2_val > 0<br> - rs1_val > 0 and rs2_val > 0<br> |[0x800003b0]:mulhu<br> [0x800003b4]:sd<br> |
|   2|[0x8000a018]<br>0xfe00fffffffffffe|- rs1 : x8<br> - rs2 : x8<br> - rd : x24<br> - rs1 == rs2 != rd<br> - rs2_val == 18374686479671623679<br> - rs1_val == 18374686479671623679<br>                                                                                                                |[0x800003d0]:mulhu<br> [0x800003d4]:sd<br> |
|   3|[0x8000a020]<br>0x0000000000000000|- rs1 : x26<br> - rs2 : x14<br> - rd : x26<br> - rs1 == rd != rs2<br> - rs1_val==7378697629483820645 and rs2_val==0<br> - rs2_val == 0<br>                                                                                                                     |[0x800003fc]:mulhu<br> [0x80000400]:sd<br> |
|   4|[0x8000a028]<br>0xfffdfffffffffffe|- rs1 : x5<br> - rs2 : x4<br> - rd : x4<br> - rs2 == rd != rs1<br> - rs1_val != rs2_val and rs1_val > 0 and rs2_val > 0<br> - rs1_val == 18446181123756130303<br> - rs2_val == (2**(xlen)-1)<br>                                                               |[0x80000414]:mulhu<br> [0x80000418]:sd<br> |
|   5|[0x8000a030]<br>0x0000000000000000|- rs1 : x12<br> - rs2 : x18<br> - rd : x6<br> - rs1 != rs2  and rs1 != rd and rs2 != rd<br> - rs1_val == 18437736874454810623<br> - rs2_val == 1<br>                                                                                                           |[0x8000042c]:mulhu<br> [0x80000430]:sd<br> |
|   6|[0x8000a038]<br>0x0000000000000000|- rs1 : x23<br> - rs2 : x31<br> - rd : x25<br> - rs2_val == 18446744073709535231<br> - rs1_val == 0<br>                                                                                                                                                        |[0x80000440]:mulhu<br> [0x80000444]:sd<br> |
|   7|[0x8000a040]<br>0x0000000000000000|- rs1 : x27<br> - rs2 : x0<br> - rd : x2<br> - rs1_val == (2**(xlen)-1)<br>                                                                                                                                                                                    |[0x80000450]:mulhu<br> [0x80000454]:sd<br> |
|   8|[0x8000a048]<br>0x0000000000000000|- rs1 : x18<br> - rs2 : x6<br> - rd : x10<br> - rs2_val == 9223372036854775807<br> - rs1_val == 1<br>                                                                                                                                                          |[0x80000468]:mulhu<br> [0x8000046c]:sd<br> |
|   9|[0x8000a050]<br>0x0000000000000000|- rs1 : x1<br> - rs2 : x2<br> - rd : x27<br> - rs2_val == 2<br> - rs1_val == 1125899906842624<br>                                                                                                                                                              |[0x8000047c]:mulhu<br> [0x80000480]:sd<br> |
|  10|[0x8000a058]<br>0x0000000000000000|- rs1 : x2<br> - rs2 : x27<br> - rd : x23<br> - rs2_val == 4<br> - rs1_val==6 and rs2_val==4<br>                                                                                                                                                               |[0x8000048c]:mulhu<br> [0x80000490]:sd<br> |
|  11|[0x8000a060]<br>0x0000000000000007|- rs1 : x10<br> - rs2 : x24<br> - rd : x19<br> - rs1_val == 18445618173802708991<br> - rs2_val == 8<br>                                                                                                                                                        |[0x800004a4]:mulhu<br> [0x800004a8]:sd<br> |
|  12|[0x8000a068]<br>0x000000000000000f|- rs1 : x24<br> - rs2 : x22<br> - rd : x3<br> - rs1_val == 18446744073575333887<br> - rs2_val == 16<br>                                                                                                                                                        |[0x800004b8]:mulhu<br> [0x800004bc]:sd<br> |
|  13|[0x8000a070]<br>0x0000000000000000|- rs1 : x25<br> - rs2 : x13<br> - rd : x18<br> - rs2_val == 32<br>                                                                                                                                                                                             |[0x800004d4]:mulhu<br> [0x800004d8]:sd<br> |
|  14|[0x8000a078]<br>0x0000000000000000|- rs1 : x0<br> - rs2 : x11<br> - rd : x20<br> - rs2_val == 64<br>                                                                                                                                                                                              |[0x800004e4]:mulhu<br> [0x800004e8]:sd<br> |
|  15|[0x8000a080]<br>0x0000000000000000|- rs1 : x30<br> - rs2 : x15<br> - rd : x22<br> - rs2_val == 128<br> - rs1_val == 134217728<br>                                                                                                                                                                 |[0x800004f4]:mulhu<br> [0x800004f8]:sd<br> |
|  16|[0x8000a088]<br>0x0000000000000000|- rs1 : x28<br> - rs2 : x26<br> - rd : x5<br> - rs2_val == 256<br>                                                                                                                                                                                             |[0x80000508]:mulhu<br> [0x8000050c]:sd<br> |
|  17|[0x8000a090]<br>0x0000000000000000|- rs1 : x22<br> - rs2 : x3<br> - rd : x16<br> - rs2_val == 512<br> - rs1_val == 2048<br>                                                                                                                                                                       |[0x8000051c]:mulhu<br> [0x80000520]:sd<br> |
|  18|[0x8000a098]<br>0x0000000000000000|- rs1 : x17<br> - rs2 : x9<br> - rd : x13<br> - rs2_val == 1024<br>                                                                                                                                                                                            |[0x8000052c]:mulhu<br> [0x80000530]:sd<br> |
|  19|[0x8000a0a0]<br>0x00000000000007ff|- rs1 : x6<br> - rs2 : x5<br> - rd : x31<br> - rs1_val == 18446735277616529407<br> - rs2_val == 2048<br>                                                                                                                                                       |[0x80000550]:mulhu<br> [0x80000554]:sd<br> |
|  20|[0x8000a0a8]<br>0x0000000000000000|- rs1 : x31<br> - rs2 : x1<br> - rd : x14<br> - rs2_val == 4096<br> - rs1_val == 268435456<br>                                                                                                                                                                 |[0x80000560]:mulhu<br> [0x80000564]:sd<br> |
|  21|[0x8000a0b0]<br>0x0000000000000000|- rs1 : x4<br> - rs2 : x10<br> - rd : x12<br> - rs2_val == 8192<br> - rs1_val == 4<br>                                                                                                                                                                         |[0x80000570]:mulhu<br> [0x80000574]:sd<br> |
|  22|[0x8000a0b8]<br>0x0000000000000000|- rs1 : x13<br> - rs2 : x29<br> - rd : x11<br> - rs2_val == 16384<br> - rs1_val == 8192<br>                                                                                                                                                                    |[0x80000580]:mulhu<br> [0x80000584]:sd<br> |
|  23|[0x8000a0c0]<br>0x0000000000007fff|- rs1 : x9<br> - rs2 : x12<br> - rd : x15<br> - rs2_val == 32768<br>                                                                                                                                                                                           |[0x80000598]:mulhu<br> [0x8000059c]:sd<br> |
|  24|[0x8000a0c8]<br>0x0000000000000004|- rs1 : x29<br> - rs2 : x21<br> - rd : x8<br> - rs2_val == 65536<br>                                                                                                                                                                                           |[0x800005ac]:mulhu<br> [0x800005b0]:sd<br> |
|  25|[0x8000a0d0]<br>0x000000000001ffff|- rs1 : x15<br> - rs2 : x28<br> - rd : x1<br> - rs1_val == 18446708889337462783<br> - rs2_val == 131072<br>                                                                                                                                                    |[0x800005c4]:mulhu<br> [0x800005c8]:sd<br> |
|  26|[0x8000a0d8]<br>0x000000000003ffef|- rs1 : x14<br> - rs2 : x16<br> - rd : x21<br> - rs2_val == 262144<br>                                                                                                                                                                                         |[0x800005dc]:mulhu<br> [0x800005e0]:sd<br> |
|  27|[0x8000a0e0]<br>0x0000000000000400|- rs1 : x21<br> - rs2 : x23<br> - rd : x29<br> - rs2_val == 524288<br> - rs1_val == 36028797018963968<br>                                                                                                                                                      |[0x800005f0]:mulhu<br> [0x800005f4]:sd<br> |
|  28|[0x8000a0e8]<br>0x00000000000fffff|- rs1 : x20<br> - rs2 : x17<br> - rd : x30<br> - rs1_val == 18446744073709551599<br> - rs2_val == 1048576<br>                                                                                                                                                  |[0x80000600]:mulhu<br> [0x80000604]:sd<br> |
|  29|[0x8000a0f0]<br>0x00000000001fffff|- rs1 : x16<br> - rs2 : x30<br> - rd : x17<br> - rs1_val == 18446744073709420543<br> - rs2_val == 2097152<br>                                                                                                                                                  |[0x80000614]:mulhu<br> [0x80000618]:sd<br> |
|  30|[0x8000a0f8]<br>0x0000000000001000|- rs1 : x19<br> - rs2 : x25<br> - rd : x9<br> - rs2_val == 4194304<br> - rs1_val == 18014398509481984<br>                                                                                                                                                      |[0x80000628]:mulhu<br> [0x8000062c]:sd<br> |
|  31|[0x8000a100]<br>0x00000000007fffff|- rs1 : x3<br> - rs2 : x20<br> - rd : x28<br> - rs1_val == 18446744073709551583<br> - rs2_val == 8388608<br>                                                                                                                                                   |[0x80000638]:mulhu<br> [0x8000063c]:sd<br> |
|  32|[0x8000a108]<br>0x0000000000000000|- rs1 : x11<br> - rs2 : x19<br> - rd : x0<br> - rs2_val == 16777216<br> - rs1_val == 144115188075855872<br>                                                                                                                                                    |[0x8000064c]:mulhu<br> [0x80000650]:sd<br> |
|  33|[0x8000a110]<br>0x0000000000000000|- rs2_val == 33554432<br>                                                                                                                                                                                                                                      |[0x80000660]:mulhu<br> [0x80000664]:sd<br> |
|  34|[0x8000a118]<br>0x0000000000000000|- rs2_val == 67108864<br> - rs1_val == 67108864<br>                                                                                                                                                                                                            |[0x80000670]:mulhu<br> [0x80000674]:sd<br> |
|  35|[0x8000a120]<br>0x0000000000000000|- rs2_val == 134217728<br> - rs1_val == 32768<br>                                                                                                                                                                                                              |[0x80000680]:mulhu<br> [0x80000684]:sd<br> |
|  36|[0x8000a128]<br>0x000000000fffffff|- rs1_val == 18446744073642442751<br> - rs2_val == 268435456<br>                                                                                                                                                                                               |[0x80000694]:mulhu<br> [0x80000698]:sd<br> |
|  37|[0x8000a130]<br>0x0000000000000000|- rs2_val == 536870912<br>                                                                                                                                                                                                                                     |[0x800006a4]:mulhu<br> [0x800006a8]:sd<br> |
|  38|[0x8000a138]<br>0x0000000000000000|- rs2_val == 1073741824<br> - rs1_val == 2147483648<br>                                                                                                                                                                                                        |[0x800006b8]:mulhu<br> [0x800006bc]:sd<br> |
|  39|[0x8000a140]<br>0x0000000000040000|- rs2_val == 2147483648<br> - rs1_val == 2251799813685248<br>                                                                                                                                                                                                  |[0x800006d0]:mulhu<br> [0x800006d4]:sd<br> |
|  40|[0x8000a148]<br>0x0000000000008000|- rs2_val == 4294967296<br> - rs1_val == 140737488355328<br>                                                                                                                                                                                                   |[0x800006e8]:mulhu<br> [0x800006ec]:sd<br> |
|  41|[0x8000a150]<br>0x00000001ffefffff|- rs1_val == 18444492273895866367<br> - rs2_val == 8589934592<br>                                                                                                                                                                                              |[0x80000704]:mulhu<br> [0x80000708]:sd<br> |
|  42|[0x8000a158]<br>0x0000000000000000|- rs2_val == 17179869184<br>                                                                                                                                                                                                                                   |[0x80000718]:mulhu<br> [0x8000071c]:sd<br> |
|  43|[0x8000a160]<br>0x0000000000004000|- rs2_val == 34359738368<br> - rs1_val == 8796093022208<br>                                                                                                                                                                                                    |[0x80000730]:mulhu<br> [0x80000734]:sd<br> |
|  44|[0x8000a168]<br>0x0000000aaaaaaaaa|- rs2_val == 68719476736<br> - rs1_val == 12297829382473034410<br>                                                                                                                                                                                             |[0x80000760]:mulhu<br> [0x80000764]:sd<br> |
|  45|[0x8000a170]<br>0x0000001fffffffff|- rs1_val == 18446744073709551607<br> - rs2_val == 137438953472<br>                                                                                                                                                                                            |[0x80000774]:mulhu<br> [0x80000778]:sd<br> |
|  46|[0x8000a178]<br>0x0000000000000020|- rs2_val == 274877906944<br>                                                                                                                                                                                                                                  |[0x8000078c]:mulhu<br> [0x80000790]:sd<br> |
|  47|[0x8000a180]<br>0x0000000001000000|- rs2_val == 549755813888<br> - rs1_val == 562949953421312<br>                                                                                                                                                                                                 |[0x800007a4]:mulhu<br> [0x800007a8]:sd<br> |
|  48|[0x8000a188]<br>0x0000000000000000|- rs2_val == 1099511627776<br>                                                                                                                                                                                                                                 |[0x800007b8]:mulhu<br> [0x800007bc]:sd<br> |
|  49|[0x8000a190]<br>0x000001fffeffffff|- rs1_val == 18446603336221196287<br> - rs2_val == 2199023255552<br>                                                                                                                                                                                           |[0x800007d4]:mulhu<br> [0x800007d8]:sd<br> |
|  50|[0x8000a198]<br>0x0000000000000000|- rs2_val == 4398046511104<br> - rs1_val == 512<br>                                                                                                                                                                                                            |[0x800007e8]:mulhu<br> [0x800007ec]:sd<br> |
|  51|[0x8000a1a0]<br>0x000007ffffffffff|- rs2_val == 8796093022208<br>                                                                                                                                                                                                                                 |[0x800007fc]:mulhu<br> [0x80000800]:sd<br> |
|  52|[0x8000a1a8]<br>0x0000066666666666|- rs2_val == 17592186044416<br>                                                                                                                                                                                                                                |[0x8000082c]:mulhu<br> [0x80000830]:sd<br> |
|  53|[0x8000a1b0]<br>0x0000000000000000|- rs2_val == 35184372088832<br> - rs1_val == 128<br>                                                                                                                                                                                                           |[0x80000840]:mulhu<br> [0x80000844]:sd<br> |
|  54|[0x8000a1b8]<br>0x0000000001000000|- rs2_val == 70368744177664<br> - rs1_val == 4398046511104<br>                                                                                                                                                                                                 |[0x80000858]:mulhu<br> [0x8000085c]:sd<br> |
|  55|[0x8000a1c0]<br>0x0000020000000000|- rs2_val == 140737488355328<br> - rs1_val == 288230376151711744<br>                                                                                                                                                                                           |[0x80000870]:mulhu<br> [0x80000874]:sd<br> |
|  56|[0x8000a1c8]<br>0x0000ffffffffdfff|- rs1_val == 18446744073172680703<br> - rs2_val == 281474976710656<br>                                                                                                                                                                                         |[0x80000888]:mulhu<br> [0x8000088c]:sd<br> |
|  57|[0x8000a1d0]<br>0x0001ffffbfffffff|- rs2_val == 562949953421312<br>                                                                                                                                                                                                                               |[0x800008a4]:mulhu<br> [0x800008a8]:sd<br> |
|  58|[0x8000a1d8]<br>0x0002aaaaaaaaaaaa|- rs2_val == 1125899906842624<br>                                                                                                                                                                                                                              |[0x800008d4]:mulhu<br> [0x800008d8]:sd<br> |
|  59|[0x8000a1e0]<br>0x0000200000000000|- rs2_val == 2251799813685248<br>                                                                                                                                                                                                                              |[0x800008ec]:mulhu<br> [0x800008f0]:sd<br> |
|  60|[0x8000a1e8]<br>0x0000000000000000|- rs2_val == 4503599627370496<br> - rs1_val == 16<br>                                                                                                                                                                                                          |[0x80000900]:mulhu<br> [0x80000904]:sd<br> |
|  61|[0x8000a1f0]<br>0x000000000016a09e|- rs2_val == 9007199254740992<br>                                                                                                                                                                                                                              |[0x80000920]:mulhu<br> [0x80000924]:sd<br> |
|  62|[0x8000a1f8]<br>0x003ffffffeffffff|- rs1_val == 18446744056529682431<br> - rs2_val == 18014398509481984<br>                                                                                                                                                                                       |[0x8000093c]:mulhu<br> [0x80000940]:sd<br> |
|  63|[0x8000a200]<br>0x0000200000000000|- rs2_val == 36028797018963968<br>                                                                                                                                                                                                                             |[0x80000954]:mulhu<br> [0x80000958]:sd<br> |
|  64|[0x8000a208]<br>0x0000000100000000|- rs2_val == 72057594037927936<br> - rs1_val == 1099511627776<br>                                                                                                                                                                                              |[0x8000096c]:mulhu<br> [0x80000970]:sd<br> |
|  65|[0x8000a210]<br>0x0000000000010000|- rs2_val == 144115188075855872<br> - rs1_val == 8388608<br>                                                                                                                                                                                                   |[0x80000980]:mulhu<br> [0x80000984]:sd<br> |
|  66|[0x8000a218]<br>0x03ffffffffffefff|- rs1_val == 18446744073709289471<br> - rs2_val == 288230376151711744<br>                                                                                                                                                                                      |[0x80000998]:mulhu<br> [0x8000099c]:sd<br> |
|  67|[0x8000a220]<br>0x07ffffefffffffff|- rs1_val == 18446741874686296063<br> - rs2_val == 576460752303423488<br>                                                                                                                                                                                      |[0x800009b4]:mulhu<br> [0x800009b8]:sd<br> |
|  68|[0x8000a228]<br>0x0333333333333333|- rs2_val == 1152921504606846976<br>                                                                                                                                                                                                                           |[0x800009e4]:mulhu<br> [0x800009e8]:sd<br> |
|  69|[0x8000a230]<br>0x0000000000200000|- rs2_val == 2305843009213693952<br> - rs1_val == 16777216<br>                                                                                                                                                                                                 |[0x800009f8]:mulhu<br> [0x800009fc]:sd<br> |
|  70|[0x8000a238]<br>0x2fffffffffffffff|- rs1_val == 13835058055282163711<br> - rs2_val == 4611686018427387904<br>                                                                                                                                                                                     |[0x80000a14]:mulhu<br> [0x80000a18]:sd<br> |
|  71|[0x8000a240]<br>0x0000000000000000|- rs2_val == 9223372036854775808<br>                                                                                                                                                                                                                           |[0x80000a28]:mulhu<br> [0x80000a2c]:sd<br> |
|  72|[0x8000a248]<br>0x0000000000000004|- rs2_val == 18446744073709551614<br>                                                                                                                                                                                                                          |[0x80000a38]:mulhu<br> [0x80000a3c]:sd<br> |
|  73|[0x8000a250]<br>0x000001ffffffffff|- rs2_val == 18446744073709551613<br> - rs1_val == 2199023255552<br>                                                                                                                                                                                           |[0x80000a4c]:mulhu<br> [0x80000a50]:sd<br> |
|  74|[0x8000a258]<br>0x000000000000000f|- rs2_val == 18446744073709551611<br>                                                                                                                                                                                                                          |[0x80000a5c]:mulhu<br> [0x80000a60]:sd<br> |
|  75|[0x8000a260]<br>0x000000000007ffff|- rs2_val == 18446744073709551607<br> - rs1_val == 524288<br>                                                                                                                                                                                                  |[0x80000a6c]:mulhu<br> [0x80000a70]:sd<br> |
|  76|[0x8000a268]<br>0xffffffffffffffec|- rs2_val == 18446744073709551599<br> - rs1_val == 18446744073709551613<br>                                                                                                                                                                                    |[0x80000a7c]:mulhu<br> [0x80000a80]:sd<br> |
|  77|[0x8000a270]<br>0x007fffffffffffff|- rs2_val == 18446744073709551583<br>                                                                                                                                                                                                                          |[0x80000a90]:mulhu<br> [0x80000a94]:sd<br> |
|  78|[0x8000a278]<br>0x000000000001ffff|- rs2_val == 18446744073709551551<br> - rs1_val == 131072<br>                                                                                                                                                                                                  |[0x80000aa0]:mulhu<br> [0x80000aa4]:sd<br> |
|  79|[0x8000a280]<br>0x0000000000000003|- rs2_val == 18446744073709551487<br>                                                                                                                                                                                                                          |[0x80000ab0]:mulhu<br> [0x80000ab4]:sd<br> |
|  80|[0x8000a288]<br>0x00000000000003ff|- rs2_val == 18446744073709551359<br> - rs1_val == 1024<br>                                                                                                                                                                                                    |[0x80000ac0]:mulhu<br> [0x80000ac4]:sd<br> |
|  81|[0x8000a290]<br>0x0000007fffffffff|- rs2_val == 18446744073709551103<br> - rs1_val == 549755813888<br>                                                                                                                                                                                            |[0x80000ad4]:mulhu<br> [0x80000ad8]:sd<br> |
|  82|[0x8000a298]<br>0xfffffffff7fffbfe|- rs2_val == 18446744073709550591<br>                                                                                                                                                                                                                          |[0x80000ae8]:mulhu<br> [0x80000aec]:sd<br> |
|  83|[0x8000a2a0]<br>0x0000000000000012|- rs2_val == 18446744073709549567<br>                                                                                                                                                                                                                          |[0x80000afc]:mulhu<br> [0x80000b00]:sd<br> |
|  84|[0x8000a2a8]<br>0xffffffffffff6ffe|- rs2_val == 18446744073709547519<br> - rs1_val == 18446744073709518847<br>                                                                                                                                                                                    |[0x80000b14]:mulhu<br> [0x80000b18]:sd<br> |
|  85|[0x8000a2b0]<br>0xffffbfffffffdffe|- rs2_val == 18446744073709543423<br> - rs1_val == 18446673704965373951<br>                                                                                                                                                                                    |[0x80000b30]:mulhu<br> [0x80000b34]:sd<br> |
|  86|[0x8000a2b8]<br>0x5555555555552aaa|- rs2_val == 18446744073709518847<br> - rs1_val == 6148914691236517205<br>                                                                                                                                                                                     |[0x80000b60]:mulhu<br> [0x80000b64]:sd<br> |
|  87|[0x8000a2c0]<br>0xfffffffffffe7ffe|- rs2_val == 18446744073709486079<br>                                                                                                                                                                                                                          |[0x80000b78]:mulhu<br> [0x80000b7c]:sd<br> |
|  88|[0x8000a2c8]<br>0xfffffffffffdfffe|- rs2_val == 18446744073709420543<br>                                                                                                                                                                                                                          |[0x80000b8c]:mulhu<br> [0x80000b90]:sd<br> |
|  89|[0x8000a2d0]<br>0x000000000000003f|- rs2_val == 18446744073709289471<br> - rs1_val == 64<br>                                                                                                                                                                                                      |[0x80000ba0]:mulhu<br> [0x80000ba4]:sd<br> |
|  90|[0x8000a2d8]<br>0xfffff7fffff7fffe|- rs2_val == 18446744073709027327<br>                                                                                                                                                                                                                          |[0x80000bbc]:mulhu<br> [0x80000bc0]:sd<br> |
|  91|[0x8000a2e0]<br>0xffffffffffeffffa|- rs2_val == 18446744073708503039<br> - rs1_val == 18446744073709551611<br>                                                                                                                                                                                    |[0x80000bd0]:mulhu<br> [0x80000bd4]:sd<br> |
|  92|[0x8000a2e8]<br>0x0000ffffffffffdf|- rs2_val == 18446744073707454463<br> - rs1_val == 281474976710656<br>                                                                                                                                                                                         |[0x80000be8]:mulhu<br> [0x80000bec]:sd<br> |
|  93|[0x8000a2f0]<br>0x0007fffffffffdff|- rs2_val == 18446744073705357311<br>                                                                                                                                                                                                                          |[0x80000c00]:mulhu<br> [0x80000c04]:sd<br> |
|  94|[0x8000a2f8]<br>0xffffdfffff80000e|- rs2_val == 18446744073701163007<br>                                                                                                                                                                                                                          |[0x80000c1c]:mulhu<br> [0x80000c20]:sd<br> |
|  95|[0x8000a300]<br>0xaaaaaaaaa9fffffe|- rs2_val == 18446744073692774399<br>                                                                                                                                                                                                                          |[0x80000c4c]:mulhu<br> [0x80000c50]:sd<br> |
|  96|[0x8000a308]<br>0x000000fffffffffd|- rs2_val == 18446744073675997183<br>                                                                                                                                                                                                                          |[0x80000c64]:mulhu<br> [0x80000c68]:sd<br> |
|  97|[0x8000a310]<br>0xfffefffffc0003fe|- rs2_val == 18446744073642442751<br> - rs1_val == 18446462598732840959<br>                                                                                                                                                                                    |[0x80000c80]:mulhu<br> [0x80000c84]:sd<br> |
|  98|[0x8000a318]<br>0x000000000000000a|- rs2_val == 18446744073575333887<br>                                                                                                                                                                                                                          |[0x80000c94]:mulhu<br> [0x80000c98]:sd<br> |
|  99|[0x8000a320]<br>0xaaaaaaaa9fffffff|- rs2_val == 18446744073441116159<br>                                                                                                                                                                                                                          |[0x80000cc4]:mulhu<br> [0x80000cc8]:sd<br> |
| 100|[0x8000a328]<br>0x0000000000000009|- rs2_val == 18446744073172680703<br>                                                                                                                                                                                                                          |[0x80000cd8]:mulhu<br> [0x80000cdc]:sd<br> |
| 101|[0x8000a330]<br>0x0000000000000005|- rs2_val == 18446744072635809791<br>                                                                                                                                                                                                                          |[0x80000cec]:mulhu<br> [0x80000cf0]:sd<br> |
| 102|[0x8000a338]<br>0xffffffff7fffffee|- rs2_val == 18446744071562067967<br>                                                                                                                                                                                                                          |[0x80000d04]:mulhu<br> [0x80000d08]:sd<br> |
| 103|[0x8000a340]<br>0x000000000003ffff|- rs2_val == 18446744069414584319<br> - rs1_val == 262144<br>                                                                                                                                                                                                  |[0x80000d1c]:mulhu<br> [0x80000d20]:sd<br> |
| 104|[0x8000a348]<br>0xfffffffdfdfffffe|- rs2_val == 18446744065119617023<br> - rs1_val == 18446744073675997183<br>                                                                                                                                                                                    |[0x80000d38]:mulhu<br> [0x80000d3c]:sd<br> |
| 105|[0x8000a350]<br>0x0000003ffffffeff|- rs2_val == 18446744056529682431<br> - rs1_val == 274877906944<br>                                                                                                                                                                                            |[0x80000d54]:mulhu<br> [0x80000d58]:sd<br> |
| 106|[0x8000a358]<br>0x0000000000000003|- rs2_val == 18446744039349813247<br>                                                                                                                                                                                                                          |[0x80000d6c]:mulhu<br> [0x80000d70]:sd<br> |
| 107|[0x8000a360]<br>0xffffffefffeffffe|- rs1_val == 18446744073708503039<br>                                                                                                                                                                                                                          |[0x80000d88]:mulhu<br> [0x80000d8c]:sd<br> |
| 108|[0x8000a368]<br>0xffffffbffffefffe|- rs2_val == 18446743798831644671<br> - rs1_val == 18446744073709486079<br>                                                                                                                                                                                    |[0x80000da4]:mulhu<br> [0x80000da8]:sd<br> |
| 109|[0x8000a370]<br>0x0ffffff7ffffffff|- rs2_val == 18446743523953737727<br> - rs1_val == 1152921504606846976<br>                                                                                                                                                                                     |[0x80000dc0]:mulhu<br> [0x80000dc4]:sd<br> |
| 110|[0x8000a378]<br>0xfffffefffff7fffe|- rs2_val == 18446742974197923839<br> - rs1_val == 18446744073709027327<br>                                                                                                                                                                                    |[0x80000ddc]:mulhu<br> [0x80000de0]:sd<br> |
| 111|[0x8000a380]<br>0xfffffdfffffffbfe|- rs2_val == 18446741874686296063<br> - rs1_val == 18446744073709550591<br>                                                                                                                                                                                    |[0x80000df4]:mulhu<br> [0x80000df8]:sd<br> |
| 112|[0x8000a388]<br>0xfffffbffffffffde|- rs2_val == 18446739675663040511<br>                                                                                                                                                                                                                          |[0x80000e0c]:mulhu<br> [0x80000e10]:sd<br> |
| 113|[0x8000a390]<br>0xfffff7ffffffffde|- rs2_val == 18446735277616529407<br>                                                                                                                                                                                                                          |[0x80000e24]:mulhu<br> [0x80000e28]:sd<br> |
| 114|[0x8000a398]<br>0xffffeffffffffdfe|- rs2_val == 18446726481523507199<br> - rs1_val == 18446744073709551103<br>                                                                                                                                                                                    |[0x80000e3c]:mulhu<br> [0x80000e40]:sd<br> |
| 115|[0x8000a3a0]<br>0xfffbe0007ffffffe|- rs2_val == 18446708889337462783<br>                                                                                                                                                                                                                          |[0x80000e5c]:mulhu<br> [0x80000e60]:sd<br> |
| 116|[0x8000a3a8]<br>0xbfffcffffffffffe|- rs2_val == 18446673704965373951<br>                                                                                                                                                                                                                          |[0x80000e7c]:mulhu<br> [0x80000e80]:sd<br> |
| 117|[0x8000a3b0]<br>0x0000000000000006|- rs2_val == 18446603336221196287<br>                                                                                                                                                                                                                          |[0x80000e94]:mulhu<br> [0x80000e98]:sd<br> |
| 118|[0x8000a3b8]<br>0xffef000ffffffffe|- rs2_val == 18446462598732840959<br> - rs1_val == 18442240474082181119<br>                                                                                                                                                                                    |[0x80000eb4]:mulhu<br> [0x80000eb8]:sd<br> |
| 119|[0x8000a3c0]<br>0x3332cccccccccccd|- rs2_val == 18446181123756130303<br>                                                                                                                                                                                                                          |[0x80000ee8]:mulhu<br> [0x80000eec]:sd<br> |
| 120|[0x8000a3c8]<br>0xfffbc000fffffffe|- rs2_val == 18445618173802708991<br>                                                                                                                                                                                                                          |[0x80000f08]:mulhu<br> [0x80000f0c]:sd<br> |
| 121|[0x8000a3d0]<br>0x000000000000000e|- rs2_val == 18444492273895866367<br>                                                                                                                                                                                                                          |[0x80000f20]:mulhu<br> [0x80000f24]:sd<br> |
| 122|[0x8000a3d8]<br>0xffe000fffffffffe|- rs2_val == 18442240474082181119<br>                                                                                                                                                                                                                          |[0x80000f40]:mulhu<br> [0x80000f44]:sd<br> |
| 123|[0x8000a3e0]<br>0x000ffdffffffffff|- rs2_val == 18437736874454810623<br> - rs1_val == 4503599627370496<br>                                                                                                                                                                                        |[0x80000f5c]:mulhu<br> [0x80000f60]:sd<br> |
| 124|[0x8000a3e8]<br>0x000000ffbfffffff|- rs2_val == 18428729675200069631<br>                                                                                                                                                                                                                          |[0x80000f78]:mulhu<br> [0x80000f7c]:sd<br> |
| 125|[0x8000a3f0]<br>0x000000001fefffff|- rs2_val == 18410715276690587647<br> - rs1_val == 536870912<br>                                                                                                                                                                                               |[0x80000f90]:mulhu<br> [0x80000f94]:sd<br> |
| 126|[0x8000a3f8]<br>0x0000000000000000|- rs2_val == 18302628885633695743<br>                                                                                                                                                                                                                          |[0x80000fa8]:mulhu<br> [0x80000fac]:sd<br> |
| 127|[0x8000a400]<br>0xfbffffffc0fffffe|- rs2_val == 18158513697557839871<br> - rs1_val == 18446744072635809791<br>                                                                                                                                                                                    |[0x80000fc4]:mulhu<br> [0x80000fc8]:sd<br> |
| 128|[0x8000a408]<br>0x003dffffffffffff|- rs2_val == 17870283321406128127<br>                                                                                                                                                                                                                          |[0x80000fe0]:mulhu<br> [0x80000fe4]:sd<br> |
| 129|[0x8000a410]<br>0x0000000000000009|- rs2_val == 17293822569102704639<br>                                                                                                                                                                                                                          |[0x80000ff8]:mulhu<br> [0x80000ffc]:sd<br> |
| 130|[0x8000a418]<br>0xdffffffffffffffd|- rs2_val == 16140901064495857663<br> - rs1_val == 18446744073709551614<br>                                                                                                                                                                                    |[0x80001010]:mulhu<br> [0x80001014]:sd<br> |
| 131|[0x8000a420]<br>0x00000000000005ff|- rs2_val == 13835058055282163711<br>                                                                                                                                                                                                                          |[0x8000102c]:mulhu<br> [0x80001030]:sd<br> |
| 132|[0x8000a428]<br>0x0000000000000000|- rs1_val==1 and rs2_val==6148914691236517205<br> - rs2_val == 6148914691236517205<br>                                                                                                                                                                         |[0x80001058]:mulhu<br> [0x8000105c]:sd<br> |
| 133|[0x8000a430]<br>0xaaaaaaaaaaa95554|- rs2_val == 12297829382473034410<br>                                                                                                                                                                                                                          |[0x80001088]:mulhu<br> [0x8000108c]:sd<br> |
| 134|[0x8000a438]<br>0x0000000000000000|- rs1_val == 2<br> - rs1_val==2 and rs2_val==3<br>                                                                                                                                                                                                             |[0x80001098]:mulhu<br> [0x8000109c]:sd<br> |
| 135|[0x8000a440]<br>0x0000000000000007|- rs1_val == 8<br>                                                                                                                                                                                                                                             |[0x800010b0]:mulhu<br> [0x800010b4]:sd<br> |
| 136|[0x8000a448]<br>0x000000000000001f|- rs1_val == 32<br>                                                                                                                                                                                                                                            |[0x800010c0]:mulhu<br> [0x800010c4]:sd<br> |
| 137|[0x8000a450]<br>0x00000000000000ff|- rs1_val == 256<br>                                                                                                                                                                                                                                           |[0x800010d4]:mulhu<br> [0x800010d8]:sd<br> |
| 138|[0x8000a458]<br>0x0000000000000000|- rs1_val == 4096<br>                                                                                                                                                                                                                                          |[0x800010e8]:mulhu<br> [0x800010ec]:sd<br> |
| 139|[0x8000a460]<br>0x0000000000003fff|- rs1_val == 16384<br>                                                                                                                                                                                                                                         |[0x800010fc]:mulhu<br> [0x80001100]:sd<br> |
| 140|[0x8000a468]<br>0x000000000000ffff|- rs1_val == 65536<br>                                                                                                                                                                                                                                         |[0x8000110c]:mulhu<br> [0x80001110]:sd<br> |
| 141|[0x8000a470]<br>0x0000000000000000|- rs1_val == 1048576<br>                                                                                                                                                                                                                                       |[0x8000111c]:mulhu<br> [0x80001120]:sd<br> |
| 142|[0x8000a478]<br>0x00000000001fffff|- rs1_val == 2097152<br>                                                                                                                                                                                                                                       |[0x80001130]:mulhu<br> [0x80001134]:sd<br> |
| 143|[0x8000a480]<br>0x0000000000000000|- rs1_val == 4194304<br>                                                                                                                                                                                                                                       |[0x80001140]:mulhu<br> [0x80001144]:sd<br> |
| 144|[0x8000a488]<br>0x0000000000000000|- rs1_val == 33554432<br>                                                                                                                                                                                                                                      |[0x80001150]:mulhu<br> [0x80001154]:sd<br> |
| 145|[0x8000a490]<br>0x000000003fffffff|- rs1_val == 1073741824<br>                                                                                                                                                                                                                                    |[0x80001160]:mulhu<br> [0x80001164]:sd<br> |
| 146|[0x8000a498]<br>0x00000000ffffbfff|- rs1_val == 4294967296<br>                                                                                                                                                                                                                                    |[0x8000117c]:mulhu<br> [0x80001180]:sd<br> |
| 147|[0x8000a4a0]<br>0x00000001fffeffff|- rs1_val == 8589934592<br>                                                                                                                                                                                                                                    |[0x80001198]:mulhu<br> [0x8000119c]:sd<br> |
| 148|[0x8000a4a8]<br>0x00000003ffffffef|- rs1_val == 17179869184<br>                                                                                                                                                                                                                                   |[0x800011b4]:mulhu<br> [0x800011b8]:sd<br> |
| 149|[0x8000a4b0]<br>0x0000000000000000|- rs1_val == 34359738368<br>                                                                                                                                                                                                                                   |[0x800011c8]:mulhu<br> [0x800011cc]:sd<br> |
| 150|[0x8000a4b8]<br>0x0000000ffffff7ff|- rs1_val == 68719476736<br>                                                                                                                                                                                                                                   |[0x800011e4]:mulhu<br> [0x800011e8]:sd<br> |
| 151|[0x8000a4c0]<br>0x0000001ffff7ffff|- rs1_val == 137438953472<br>                                                                                                                                                                                                                                  |[0x80001200]:mulhu<br> [0x80001204]:sd<br> |
| 152|[0x8000a4c8]<br>0x00000fff7fffffff|- rs1_val == 17592186044416<br>                                                                                                                                                                                                                                |[0x8000121c]:mulhu<br> [0x80001220]:sd<br> |
| 153|[0x8000a4d0]<br>0x00001ffffffffffd|- rs1_val == 35184372088832<br>                                                                                                                                                                                                                                |[0x80001234]:mulhu<br> [0x80001238]:sd<br> |
| 154|[0x8000a4d8]<br>0x00003fffbfffffff|- rs1_val == 70368744177664<br>                                                                                                                                                                                                                                |[0x80001250]:mulhu<br> [0x80001254]:sd<br> |
| 155|[0x8000a4e0]<br>0x0000100000000000|- rs1_val == 9007199254740992<br>                                                                                                                                                                                                                              |[0x80001268]:mulhu<br> [0x8000126c]:sd<br> |
| 156|[0x8000a4e8]<br>0x00fffffffffffeff|- rs1_val == 72057594037927936<br>                                                                                                                                                                                                                             |[0x80001280]:mulhu<br> [0x80001284]:sd<br> |
| 157|[0x8000a4f0]<br>0x0000000000000000|- rs1_val == 576460752303423488<br>                                                                                                                                                                                                                            |[0x80001294]:mulhu<br> [0x80001298]:sd<br> |
| 158|[0x8000a4f8]<br>0x1ffffffffffffffe|- rs1_val == 2305843009213693952<br>                                                                                                                                                                                                                           |[0x800012a8]:mulhu<br> [0x800012ac]:sd<br> |
| 159|[0x8000a500]<br>0x3ffffffbffffffff|- rs1_val == 4611686018427387904<br>                                                                                                                                                                                                                           |[0x800012c4]:mulhu<br> [0x800012c8]:sd<br> |
| 160|[0x8000a508]<br>0x0000000400000000|- rs1_val == 9223372036854775808<br>                                                                                                                                                                                                                           |[0x800012dc]:mulhu<br> [0x800012e0]:sd<br> |
| 161|[0x8000a510]<br>0xffffefffffffffbe|- rs1_val == 18446744073709551551<br>                                                                                                                                                                                                                          |[0x800012f4]:mulhu<br> [0x800012f8]:sd<br> |
| 162|[0x8000a518]<br>0xffffffffffffbf7e|- rs1_val == 18446744073709551487<br>                                                                                                                                                                                                                          |[0x80001308]:mulhu<br> [0x8000130c]:sd<br> |
| 163|[0x8000a520]<br>0x0000000fffffffff|- rs1_val == 18446744073709551359<br>                                                                                                                                                                                                                          |[0x8000131c]:mulhu<br> [0x80001320]:sd<br> |
| 164|[0x8000a528]<br>0xfffffffffff7f7fe|- rs1_val == 18446744073709549567<br>                                                                                                                                                                                                                          |[0x80001334]:mulhu<br> [0x80001338]:sd<br> |
| 165|[0x8000a530]<br>0xfffffffffeffeffe|- rs1_val == 18446744073709547519<br>                                                                                                                                                                                                                          |[0x8000134c]:mulhu<br> [0x80001350]:sd<br> |
| 166|[0x8000a538]<br>0x00003fffffffffff|- rs1_val == 18446744073709543423<br>                                                                                                                                                                                                                          |[0x80001364]:mulhu<br> [0x80001368]:sd<br> |
| 167|[0x8000a540]<br>0xfffffffeffffbffe|- rs1_val == 18446744073709535231<br>                                                                                                                                                                                                                          |[0x80001380]:mulhu<br> [0x80001384]:sd<br> |
| 168|[0x8000a548]<br>0xffffffffffd7fffe|- rs1_val == 18446744073707454463<br>                                                                                                                                                                                                                          |[0x80001398]:mulhu<br> [0x8000139c]:sd<br> |
| 169|[0x8000a550]<br>0x0003fffffffffeff|- rs1_val == 18446744073705357311<br>                                                                                                                                                                                                                          |[0x800013b0]:mulhu<br> [0x800013b4]:sd<br> |
| 170|[0x8000a558]<br>0x000007fffffffffb|- rs1_val == 18446744073701163007<br>                                                                                                                                                                                                                          |[0x800013c8]:mulhu<br> [0x800013cc]:sd<br> |
| 171|[0x8000a560]<br>0xfffffffffefffffa|- rs1_val == 18446744073692774399<br>                                                                                                                                                                                                                          |[0x800013dc]:mulhu<br> [0x800013e0]:sd<br> |
| 172|[0x8000a568]<br>0x00000001ffffffff|- rs1_val == 18446744073441116159<br>                                                                                                                                                                                                                          |[0x800013f4]:mulhu<br> [0x800013f8]:sd<br> |
| 173|[0x8000a570]<br>0xffffffdf8000000e|- rs2_val == 18446743936270598143<br> - rs1_val == 18446744071562067967<br>                                                                                                                                                                                    |[0x80001414]:mulhu<br> [0x80001418]:sd<br> |
| 174|[0x8000a578]<br>0x0fffffffefffffff|- rs1_val == 18446744069414584319<br>                                                                                                                                                                                                                          |[0x80001430]:mulhu<br> [0x80001434]:sd<br> |
| 175|[0x8000a580]<br>0x6666666599999999|- rs1_val == 18446744065119617023<br>                                                                                                                                                                                                                          |[0x80001464]:mulhu<br> [0x80001468]:sd<br> |
| 176|[0x8000a588]<br>0xfffffff700000006|- rs1_val == 18446744039349813247<br>                                                                                                                                                                                                                          |[0x80001484]:mulhu<br> [0x80001488]:sd<br> |
| 177|[0x8000a590]<br>0x00000ffffffdffff|- rs1_val == 18446743936270598143<br>                                                                                                                                                                                                                          |[0x800014a0]:mulhu<br> [0x800014a4]:sd<br> |
| 178|[0x8000a598]<br>0xfffffec000003ffe|- rs1_val == 18446743798831644671<br>                                                                                                                                                                                                                          |[0x800014c0]:mulhu<br> [0x800014c4]:sd<br> |
| 179|[0x8000a5a0]<br>0x007fffffbfffffff|- rs1_val == 18446743523953737727<br>                                                                                                                                                                                                                          |[0x800014dc]:mulhu<br> [0x800014e0]:sd<br> |
| 180|[0x8000a5a8]<br>0x0000000000000003|- rs1_val == 18446742974197923839<br>                                                                                                                                                                                                                          |[0x800014f4]:mulhu<br> [0x800014f8]:sd<br> |
| 181|[0x8000a5b0]<br>0x000000007ffffdff|- rs1_val == 18446739675663040511<br>                                                                                                                                                                                                                          |[0x80001510]:mulhu<br> [0x80001514]:sd<br> |
| 182|[0x8000a5b8]<br>0x00000000ffffefff|- rs1_val == 18446726481523507199<br>                                                                                                                                                                                                                          |[0x8000152c]:mulhu<br> [0x80001530]:sd<br> |
| 183|[0x8000a5c0]<br>0x000000000ffbffff|- rs1_val == 18428729675200069631<br>                                                                                                                                                                                                                          |[0x80001544]:mulhu<br> [0x80001548]:sd<br> |
| 184|[0x8000a5c8]<br>0xff7ffffffff803fe|- rs1_val == 18410715276690587647<br>                                                                                                                                                                                                                          |[0x80001560]:mulhu<br> [0x80001564]:sd<br> |
| 185|[0x8000a5d0]<br>0x6599999999999997|- rs1_val == 18302628885633695743<br>                                                                                                                                                                                                                          |[0x80001594]:mulhu<br> [0x80001598]:sd<br> |
| 186|[0x8000a5d8]<br>0x00000000b230df65|- rs1_val == 18158513697557839871<br>                                                                                                                                                                                                                          |[0x800015b8]:mulhu<br> [0x800015bc]:sd<br> |
| 187|[0x8000a5e0]<br>0x0000000001efffff|- rs1_val == 17870283321406128127<br>                                                                                                                                                                                                                          |[0x800015d0]:mulhu<br> [0x800015d4]:sd<br> |
| 188|[0x8000a5e8]<br>0x00000003bfffffff|- rs1_val == 17293822569102704639<br>                                                                                                                                                                                                                          |[0x800015ec]:mulhu<br> [0x800015f0]:sd<br> |
| 189|[0x8000a5f0]<br>0x000000000037ffff|- rs1_val == 16140901064495857663<br>                                                                                                                                                                                                                          |[0x80001604]:mulhu<br> [0x80001608]:sd<br> |
| 190|[0x8000a5f8]<br>0x00ffffffffffffff|- rs1_val == 9223372036854775807<br>                                                                                                                                                                                                                           |[0x80001620]:mulhu<br> [0x80001624]:sd<br> |
| 191|[0x8000a600]<br>0x0000000000000000|- rs1_val==3 and rs2_val==3<br>                                                                                                                                                                                                                                |[0x80001630]:mulhu<br> [0x80001634]:sd<br> |
| 192|[0x8000a608]<br>0x0000000000000000|- rs1_val==3 and rs2_val==6148914691236517205<br>                                                                                                                                                                                                              |[0x8000165c]:mulhu<br> [0x80001660]:sd<br> |
| 193|[0x8000a610]<br>0x0000000000000001|- rs1_val==3 and rs2_val==12297829382473034410<br>                                                                                                                                                                                                             |[0x80001688]:mulhu<br> [0x8000168c]:sd<br> |
| 194|[0x8000a618]<br>0x0000000000000000|- rs1_val==3 and rs2_val==5<br>                                                                                                                                                                                                                                |[0x80001698]:mulhu<br> [0x8000169c]:sd<br> |
| 195|[0x8000a620]<br>0x0000000000000000|- rs1_val==3 and rs2_val==3689348814741910323<br>                                                                                                                                                                                                              |[0x800016c4]:mulhu<br> [0x800016c8]:sd<br> |
| 196|[0x8000a628]<br>0x0000000000000001|- rs1_val==3 and rs2_val==7378697629483820646<br>                                                                                                                                                                                                              |[0x800016f0]:mulhu<br> [0x800016f4]:sd<br> |
| 197|[0x8000a630]<br>0x0000000000000000|- rs1_val==3 and rs2_val==3037000499<br>                                                                                                                                                                                                                       |[0x8000170c]:mulhu<br> [0x80001710]:sd<br> |
| 198|[0x8000a638]<br>0x0000000000000000|- rs1_val==3 and rs2_val==0<br>                                                                                                                                                                                                                                |[0x8000171c]:mulhu<br> [0x80001720]:sd<br> |
| 199|[0x8000a640]<br>0x0000000000000000|- rs1_val==3 and rs2_val==4294967296<br>                                                                                                                                                                                                                       |[0x80001730]:mulhu<br> [0x80001734]:sd<br> |
| 200|[0x8000a648]<br>0x0000000000000000|- rs1_val==3 and rs2_val==2<br>                                                                                                                                                                                                                                |[0x80001740]:mulhu<br> [0x80001744]:sd<br> |
| 201|[0x8000a650]<br>0x0000000000000000|- rs1_val==3 and rs2_val==6148914691236517204<br>                                                                                                                                                                                                              |[0x8000176c]:mulhu<br> [0x80001770]:sd<br> |
| 202|[0x8000a658]<br>0x0000000000000001|- rs1_val==3 and rs2_val==12297829382473034409<br>                                                                                                                                                                                                             |[0x80001798]:mulhu<br> [0x8000179c]:sd<br> |
| 203|[0x8000a660]<br>0x0000000000000000|- rs1_val==3 and rs2_val==4<br>                                                                                                                                                                                                                                |[0x800017a8]:mulhu<br> [0x800017ac]:sd<br> |
| 204|[0x8000a668]<br>0x0000000000000000|- rs1_val==3 and rs2_val==3689348814741910322<br>                                                                                                                                                                                                              |[0x800017d4]:mulhu<br> [0x800017d8]:sd<br> |
| 205|[0x8000a670]<br>0x0000000000000001|- rs1_val==3 and rs2_val==7378697629483820645<br>                                                                                                                                                                                                              |[0x80001800]:mulhu<br> [0x80001804]:sd<br> |
| 206|[0x8000a678]<br>0x0000000000000000|- rs1_val==3 and rs2_val==3037000498<br>                                                                                                                                                                                                                       |[0x8000181c]:mulhu<br> [0x80001820]:sd<br> |
| 207|[0x8000a680]<br>0x0000000000000000|- rs1_val==3 and rs2_val==4294967295<br>                                                                                                                                                                                                                       |[0x80001834]:mulhu<br> [0x80001838]:sd<br> |
| 208|[0x8000a688]<br>0x0000000000000001|- rs1_val==3 and rs2_val==6148914691236517206<br>                                                                                                                                                                                                              |[0x80001860]:mulhu<br> [0x80001864]:sd<br> |
| 209|[0x8000a690]<br>0x0000000000000002|- rs1_val==3 and rs2_val==12297829382473034411<br>                                                                                                                                                                                                             |[0x8000188c]:mulhu<br> [0x80001890]:sd<br> |
| 210|[0x8000a698]<br>0x0000000000000000|- rs1_val==3 and rs2_val==6<br>                                                                                                                                                                                                                                |[0x8000189c]:mulhu<br> [0x800018a0]:sd<br> |
| 211|[0x8000a6a0]<br>0x0000000000000000|- rs1_val==3 and rs2_val==3689348814741910324<br>                                                                                                                                                                                                              |[0x800018c8]:mulhu<br> [0x800018cc]:sd<br> |
| 212|[0x8000a6a8]<br>0x0000000000000001|- rs1_val==3 and rs2_val==7378697629483820647<br>                                                                                                                                                                                                              |[0x800018f4]:mulhu<br> [0x800018f8]:sd<br> |
| 213|[0x8000a6b0]<br>0x0000000000000000|- rs1_val==3 and rs2_val==3037000500<br>                                                                                                                                                                                                                       |[0x80001910]:mulhu<br> [0x80001914]:sd<br> |
| 214|[0x8000a6b8]<br>0x0000000000000000|- rs1_val==3 and rs2_val==1<br>                                                                                                                                                                                                                                |[0x80001920]:mulhu<br> [0x80001924]:sd<br> |
| 215|[0x8000a6c0]<br>0x0000000000000000|- rs1_val==3 and rs2_val==4294967297<br>                                                                                                                                                                                                                       |[0x80001938]:mulhu<br> [0x8000193c]:sd<br> |
| 216|[0x8000a6c8]<br>0x0000000000000000|- rs1_val==6148914691236517205 and rs2_val==3<br>                                                                                                                                                                                                              |[0x80001964]:mulhu<br> [0x80001968]:sd<br> |
| 217|[0x8000a6d0]<br>0x1c71c71c71c71c71|- rs1_val==6148914691236517205 and rs2_val==6148914691236517205<br>                                                                                                                                                                                            |[0x800019ac]:mulhu<br> [0x800019b0]:sd<br> |
| 218|[0x8000a6d8]<br>0x38e38e38e38e38e3|- rs1_val==6148914691236517205 and rs2_val==12297829382473034410<br>                                                                                                                                                                                           |[0x800019f4]:mulhu<br> [0x800019f8]:sd<br> |
| 219|[0x8000a6e0]<br>0x0000000000000001|- rs1_val==6148914691236517205 and rs2_val==5<br>                                                                                                                                                                                                              |[0x80001a20]:mulhu<br> [0x80001a24]:sd<br> |
| 220|[0x8000a6e8]<br>0x1111111111111110|- rs1_val==6148914691236517205 and rs2_val==3689348814741910323<br>                                                                                                                                                                                            |[0x80001a68]:mulhu<br> [0x80001a6c]:sd<br> |
| 221|[0x8000a6f0]<br>0x2222222222222221|- rs1_val==6148914691236517205 and rs2_val==7378697629483820646<br>                                                                                                                                                                                            |[0x80001ab0]:mulhu<br> [0x80001ab4]:sd<br> |
| 222|[0x8000a6f8]<br>0x000000003c56fbbb|- rs1_val==6148914691236517205 and rs2_val==3037000499<br>                                                                                                                                                                                                     |[0x80001ae8]:mulhu<br> [0x80001aec]:sd<br> |
| 223|[0x8000a700]<br>0x0000000000000000|- rs1_val==6148914691236517205 and rs2_val==0<br>                                                                                                                                                                                                              |[0x80001b14]:mulhu<br> [0x80001b18]:sd<br> |
| 224|[0x8000a708]<br>0x0000000055555555|- rs1_val==6148914691236517205 and rs2_val==4294967296<br>                                                                                                                                                                                                     |[0x80001b44]:mulhu<br> [0x80001b48]:sd<br> |
| 225|[0x8000a710]<br>0x0000000000000000|- rs1_val==6148914691236517205 and rs2_val==2<br>                                                                                                                                                                                                              |[0x80001b70]:mulhu<br> [0x80001b74]:sd<br> |
| 226|[0x8000a718]<br>0x1c71c71c71c71c71|- rs1_val==6148914691236517205 and rs2_val==6148914691236517204<br>                                                                                                                                                                                            |[0x80001bb8]:mulhu<br> [0x80001bbc]:sd<br> |
| 227|[0x8000a720]<br>0x38e38e38e38e38e2|- rs1_val==6148914691236517205 and rs2_val==12297829382473034409<br>                                                                                                                                                                                           |[0x80001c00]:mulhu<br> [0x80001c04]:sd<br> |
| 228|[0x8000a728]<br>0x0000000000000001|- rs1_val==6148914691236517205 and rs2_val==4<br>                                                                                                                                                                                                              |[0x80001c2c]:mulhu<br> [0x80001c30]:sd<br> |
| 229|[0x8000a730]<br>0x1111111111111110|- rs1_val==6148914691236517205 and rs2_val==3689348814741910322<br>                                                                                                                                                                                            |[0x80001c74]:mulhu<br> [0x80001c78]:sd<br> |
| 230|[0x8000a738]<br>0x2222222222222221|- rs1_val==6148914691236517205 and rs2_val==7378697629483820645<br>                                                                                                                                                                                            |[0x80001cbc]:mulhu<br> [0x80001cc0]:sd<br> |
| 231|[0x8000a740]<br>0x000000003c56fbbb|- rs1_val==6148914691236517205 and rs2_val==3037000498<br>                                                                                                                                                                                                     |[0x80001cf4]:mulhu<br> [0x80001cf8]:sd<br> |
| 232|[0x8000a748]<br>0x0000000055555554|- rs1_val==6148914691236517205 and rs2_val==4294967295<br>                                                                                                                                                                                                     |[0x80001d28]:mulhu<br> [0x80001d2c]:sd<br> |
| 233|[0x8000a750]<br>0x1c71c71c71c71c71|- rs1_val==6148914691236517205 and rs2_val==6148914691236517206<br>                                                                                                                                                                                            |[0x80001d70]:mulhu<br> [0x80001d74]:sd<br> |
| 234|[0x8000a758]<br>0x38e38e38e38e38e3|- rs1_val==6148914691236517205 and rs2_val==12297829382473034411<br>                                                                                                                                                                                           |[0x80001db8]:mulhu<br> [0x80001dbc]:sd<br> |
| 235|[0x8000a760]<br>0x0000000000000001|- rs1_val==6148914691236517205 and rs2_val==6<br>                                                                                                                                                                                                              |[0x80001de4]:mulhu<br> [0x80001de8]:sd<br> |
| 236|[0x8000a768]<br>0x1111111111111111|- rs1_val==6148914691236517205 and rs2_val==3689348814741910324<br>                                                                                                                                                                                            |[0x80001e2c]:mulhu<br> [0x80001e30]:sd<br> |
| 237|[0x8000a770]<br>0x2222222222222222|- rs1_val==6148914691236517205 and rs2_val==7378697629483820647<br>                                                                                                                                                                                            |[0x80001e74]:mulhu<br> [0x80001e78]:sd<br> |
| 238|[0x8000a778]<br>0x000000003c56fbbb|- rs1_val==6148914691236517205 and rs2_val==3037000500<br>                                                                                                                                                                                                     |[0x80001eac]:mulhu<br> [0x80001eb0]:sd<br> |
| 239|[0x8000a780]<br>0x0000000000000000|- rs1_val==6148914691236517205 and rs2_val==1<br>                                                                                                                                                                                                              |[0x80001ed8]:mulhu<br> [0x80001edc]:sd<br> |
| 240|[0x8000a788]<br>0x0000000055555555|- rs1_val==6148914691236517205 and rs2_val==4294967297<br>                                                                                                                                                                                                     |[0x80001f0c]:mulhu<br> [0x80001f10]:sd<br> |
| 241|[0x8000a790]<br>0x0000000000000001|- rs1_val==12297829382473034410 and rs2_val==3<br>                                                                                                                                                                                                             |[0x80001f38]:mulhu<br> [0x80001f3c]:sd<br> |
| 242|[0x8000a798]<br>0x38e38e38e38e38e3|- rs1_val==12297829382473034410 and rs2_val==6148914691236517205<br>                                                                                                                                                                                           |[0x80001f80]:mulhu<br> [0x80001f84]:sd<br> |
| 243|[0x8000a7a0]<br>0x71c71c71c71c71c6|- rs1_val==12297829382473034410 and rs2_val==12297829382473034410<br>                                                                                                                                                                                          |[0x80001fc8]:mulhu<br> [0x80001fcc]:sd<br> |
| 244|[0x8000a7a8]<br>0x0000000000000003|- rs1_val==12297829382473034410 and rs2_val==5<br>                                                                                                                                                                                                             |[0x80001ff4]:mulhu<br> [0x80001ff8]:sd<br> |
| 245|[0x8000a7b0]<br>0x2222222222222221|- rs1_val==12297829382473034410 and rs2_val==3689348814741910323<br>                                                                                                                                                                                           |[0x8000203c]:mulhu<br> [0x80002040]:sd<br> |
| 246|[0x8000a7b8]<br>0x4444444444444443|- rs1_val==12297829382473034410 and rs2_val==7378697629483820646<br>                                                                                                                                                                                           |[0x80002084]:mulhu<br> [0x80002088]:sd<br> |
| 247|[0x8000a7c0]<br>0x0000000078adf777|- rs1_val==12297829382473034410 and rs2_val==3037000499<br>                                                                                                                                                                                                    |[0x800020bc]:mulhu<br> [0x800020c0]:sd<br> |
| 248|[0x8000a7c8]<br>0x0000000000000000|- rs1_val==12297829382473034410 and rs2_val==0<br>                                                                                                                                                                                                             |[0x800020e8]:mulhu<br> [0x800020ec]:sd<br> |
| 249|[0x8000a7d0]<br>0x00000000aaaaaaaa|- rs1_val==12297829382473034410 and rs2_val==4294967296<br>                                                                                                                                                                                                    |[0x80002118]:mulhu<br> [0x8000211c]:sd<br> |
| 250|[0x8000a7d8]<br>0x0000000000000001|- rs1_val==12297829382473034410 and rs2_val==2<br>                                                                                                                                                                                                             |[0x80002144]:mulhu<br> [0x80002148]:sd<br> |
| 251|[0x8000a7e0]<br>0x38e38e38e38e38e2|- rs1_val==12297829382473034410 and rs2_val==6148914691236517204<br>                                                                                                                                                                                           |[0x8000218c]:mulhu<br> [0x80002190]:sd<br> |
| 252|[0x8000a7e8]<br>0x71c71c71c71c71c5|- rs1_val==12297829382473034410 and rs2_val==12297829382473034409<br>                                                                                                                                                                                          |[0x800021d4]:mulhu<br> [0x800021d8]:sd<br> |
| 253|[0x8000a7f0]<br>0x0000000000000002|- rs1_val==12297829382473034410 and rs2_val==4<br>                                                                                                                                                                                                             |[0x80002200]:mulhu<br> [0x80002204]:sd<br> |
| 254|[0x8000a7f8]<br>0x2222222222222221|- rs1_val==12297829382473034410 and rs2_val==3689348814741910322<br>                                                                                                                                                                                           |[0x80002248]:mulhu<br> [0x8000224c]:sd<br> |
| 255|[0x8000a800]<br>0x4444444444444443|- rs1_val==12297829382473034410 and rs2_val==7378697629483820645<br>                                                                                                                                                                                           |[0x80002290]:mulhu<br> [0x80002294]:sd<br> |
| 256|[0x8000a808]<br>0x0000000078adf776|- rs1_val==12297829382473034410 and rs2_val==3037000498<br>                                                                                                                                                                                                    |[0x800022c8]:mulhu<br> [0x800022cc]:sd<br> |
| 257|[0x8000a810]<br>0x00000000aaaaaaa9|- rs1_val==12297829382473034410 and rs2_val==4294967295<br>                                                                                                                                                                                                    |[0x800022fc]:mulhu<br> [0x80002300]:sd<br> |
| 258|[0x8000a818]<br>0x38e38e38e38e38e3|- rs1_val==12297829382473034410 and rs2_val==6148914691236517206<br>                                                                                                                                                                                           |[0x80002344]:mulhu<br> [0x80002348]:sd<br> |
| 259|[0x8000a820]<br>0x71c71c71c71c71c6|- rs1_val==12297829382473034410 and rs2_val==12297829382473034411<br>                                                                                                                                                                                          |[0x8000238c]:mulhu<br> [0x80002390]:sd<br> |
| 260|[0x8000a828]<br>0x0000000000000003|- rs1_val==12297829382473034410 and rs2_val==6<br>                                                                                                                                                                                                             |[0x800023b8]:mulhu<br> [0x800023bc]:sd<br> |
| 261|[0x8000a830]<br>0x2222222222222222|- rs1_val==12297829382473034410 and rs2_val==3689348814741910324<br>                                                                                                                                                                                           |[0x80002400]:mulhu<br> [0x80002404]:sd<br> |
| 262|[0x8000a838]<br>0x4444444444444444|- rs1_val==12297829382473034410 and rs2_val==7378697629483820647<br>                                                                                                                                                                                           |[0x80002448]:mulhu<br> [0x8000244c]:sd<br> |
| 263|[0x8000a840]<br>0x0000000078adf777|- rs1_val==12297829382473034410 and rs2_val==3037000500<br>                                                                                                                                                                                                    |[0x80002480]:mulhu<br> [0x80002484]:sd<br> |
| 264|[0x8000a848]<br>0x0000000000000000|- rs1_val==12297829382473034410 and rs2_val==1<br>                                                                                                                                                                                                             |[0x800024ac]:mulhu<br> [0x800024b0]:sd<br> |
| 265|[0x8000a850]<br>0x00000000aaaaaaab|- rs1_val==12297829382473034410 and rs2_val==4294967297<br>                                                                                                                                                                                                    |[0x800024e0]:mulhu<br> [0x800024e4]:sd<br> |
| 266|[0x8000a858]<br>0x0000000000000000|- rs1_val==5 and rs2_val==3<br>                                                                                                                                                                                                                                |[0x800024f0]:mulhu<br> [0x800024f4]:sd<br> |
| 267|[0x8000a860]<br>0x0000000000000001|- rs1_val==5 and rs2_val==6148914691236517205<br>                                                                                                                                                                                                              |[0x8000251c]:mulhu<br> [0x80002520]:sd<br> |
| 268|[0x8000a868]<br>0x0000000000000003|- rs1_val==5 and rs2_val==12297829382473034410<br>                                                                                                                                                                                                             |[0x80002548]:mulhu<br> [0x8000254c]:sd<br> |
| 269|[0x8000a870]<br>0x0000000000000000|- rs1_val==5 and rs2_val==5<br>                                                                                                                                                                                                                                |[0x80002558]:mulhu<br> [0x8000255c]:sd<br> |
| 270|[0x8000a878]<br>0x0000000000000000|- rs1_val==5 and rs2_val==3689348814741910323<br>                                                                                                                                                                                                              |[0x80002584]:mulhu<br> [0x80002588]:sd<br> |
| 271|[0x8000a880]<br>0x0000000000000001|- rs1_val==5 and rs2_val==7378697629483820646<br>                                                                                                                                                                                                              |[0x800025b0]:mulhu<br> [0x800025b4]:sd<br> |
| 272|[0x8000a888]<br>0x0000000000000000|- rs1_val==5 and rs2_val==3037000499<br>                                                                                                                                                                                                                       |[0x800025cc]:mulhu<br> [0x800025d0]:sd<br> |
| 273|[0x8000a890]<br>0x0000000000000000|- rs1_val==5 and rs2_val==0<br>                                                                                                                                                                                                                                |[0x800025dc]:mulhu<br> [0x800025e0]:sd<br> |
| 274|[0x8000a898]<br>0x0000000000000000|- rs1_val==5 and rs2_val==4294967296<br>                                                                                                                                                                                                                       |[0x800025f0]:mulhu<br> [0x800025f4]:sd<br> |
| 275|[0x8000a8a0]<br>0x0000000000000000|- rs1_val==5 and rs2_val==2<br>                                                                                                                                                                                                                                |[0x80002608]:mulhu<br> [0x8000260c]:sd<br> |
| 276|[0x8000a8a8]<br>0x0000000000000001|- rs1_val==5 and rs2_val==6148914691236517204<br>                                                                                                                                                                                                              |[0x80002634]:mulhu<br> [0x80002638]:sd<br> |
| 277|[0x8000a8b0]<br>0x0000000000000003|- rs1_val==5 and rs2_val==12297829382473034409<br>                                                                                                                                                                                                             |[0x80002660]:mulhu<br> [0x80002664]:sd<br> |
| 278|[0x8000a8b8]<br>0x0000000000000000|- rs1_val==5 and rs2_val==4<br>                                                                                                                                                                                                                                |[0x80002670]:mulhu<br> [0x80002674]:sd<br> |
| 279|[0x8000a8c0]<br>0x0000000000000000|- rs1_val==5 and rs2_val==3689348814741910322<br>                                                                                                                                                                                                              |[0x8000269c]:mulhu<br> [0x800026a0]:sd<br> |
| 280|[0x8000a8c8]<br>0x0000000000000001|- rs1_val==5 and rs2_val==7378697629483820645<br>                                                                                                                                                                                                              |[0x800026c8]:mulhu<br> [0x800026cc]:sd<br> |
| 281|[0x8000a8d0]<br>0x0000000000000000|- rs1_val==5 and rs2_val==3037000498<br>                                                                                                                                                                                                                       |[0x800026e4]:mulhu<br> [0x800026e8]:sd<br> |
| 282|[0x8000a8d8]<br>0x0000000000000000|- rs1_val==5 and rs2_val==4294967295<br>                                                                                                                                                                                                                       |[0x800026fc]:mulhu<br> [0x80002700]:sd<br> |
| 283|[0x8000a8e0]<br>0x0000000000000001|- rs1_val==5 and rs2_val==6148914691236517206<br>                                                                                                                                                                                                              |[0x80002728]:mulhu<br> [0x8000272c]:sd<br> |
| 284|[0x8000a8e8]<br>0x0000000000000003|- rs1_val==5 and rs2_val==12297829382473034411<br>                                                                                                                                                                                                             |[0x80002754]:mulhu<br> [0x80002758]:sd<br> |
| 285|[0x8000a8f0]<br>0x0000000000000000|- rs1_val==5 and rs2_val==6<br>                                                                                                                                                                                                                                |[0x80002764]:mulhu<br> [0x80002768]:sd<br> |
| 286|[0x8000a8f8]<br>0x0000000000000001|- rs1_val==5 and rs2_val==3689348814741910324<br>                                                                                                                                                                                                              |[0x80002790]:mulhu<br> [0x80002794]:sd<br> |
| 287|[0x8000a900]<br>0x0000000000000002|- rs1_val==5 and rs2_val==7378697629483820647<br>                                                                                                                                                                                                              |[0x800027bc]:mulhu<br> [0x800027c0]:sd<br> |
| 288|[0x8000a908]<br>0x0000000000000000|- rs1_val==5 and rs2_val==3037000500<br>                                                                                                                                                                                                                       |[0x800027d8]:mulhu<br> [0x800027dc]:sd<br> |
| 289|[0x8000a910]<br>0x0000000000000000|- rs1_val==5 and rs2_val==1<br>                                                                                                                                                                                                                                |[0x800027e8]:mulhu<br> [0x800027ec]:sd<br> |
| 290|[0x8000a918]<br>0x0000000000000000|- rs1_val==5 and rs2_val==4294967297<br>                                                                                                                                                                                                                       |[0x80002800]:mulhu<br> [0x80002804]:sd<br> |
| 291|[0x8000a920]<br>0x0000000000000000|- rs1_val==3689348814741910323 and rs2_val==3<br>                                                                                                                                                                                                              |[0x8000282c]:mulhu<br> [0x80002830]:sd<br> |
| 292|[0x8000a928]<br>0x1111111111111110|- rs1_val==3689348814741910323 and rs2_val==6148914691236517205<br>                                                                                                                                                                                            |[0x80002874]:mulhu<br> [0x80002878]:sd<br> |
| 293|[0x8000a930]<br>0x2222222222222221|- rs1_val==3689348814741910323 and rs2_val==12297829382473034410<br>                                                                                                                                                                                           |[0x800028bc]:mulhu<br> [0x800028c0]:sd<br> |
| 294|[0x8000a938]<br>0x0000000000000000|- rs1_val==3689348814741910323 and rs2_val==5<br>                                                                                                                                                                                                              |[0x800028e8]:mulhu<br> [0x800028ec]:sd<br> |
| 295|[0x8000a940]<br>0x0a3d70a3d70a3d70|- rs1_val==3689348814741910323 and rs2_val==3689348814741910323<br>                                                                                                                                                                                            |[0x80002930]:mulhu<br> [0x80002934]:sd<br> |
| 296|[0x8000a948]<br>0x147ae147ae147ae1|- rs1_val==3689348814741910323 and rs2_val==7378697629483820646<br>                                                                                                                                                                                            |[0x80002978]:mulhu<br> [0x8000297c]:sd<br> |
| 297|[0x8000a950]<br>0x00000000243430a3|- rs1_val==3689348814741910323 and rs2_val==3037000499<br>                                                                                                                                                                                                     |[0x800029b0]:mulhu<br> [0x800029b4]:sd<br> |
| 298|[0x8000a958]<br>0x0000000000000000|- rs1_val==3689348814741910323 and rs2_val==0<br>                                                                                                                                                                                                              |[0x800029dc]:mulhu<br> [0x800029e0]:sd<br> |
| 299|[0x8000a960]<br>0x0000000033333333|- rs1_val==3689348814741910323 and rs2_val==4294967296<br>                                                                                                                                                                                                     |[0x80002a0c]:mulhu<br> [0x80002a10]:sd<br> |
| 300|[0x8000a968]<br>0x0000000000000000|- rs1_val==3689348814741910323 and rs2_val==2<br>                                                                                                                                                                                                              |[0x80002a38]:mulhu<br> [0x80002a3c]:sd<br> |
| 301|[0x8000a970]<br>0x1111111111111110|- rs1_val==3689348814741910323 and rs2_val==6148914691236517204<br>                                                                                                                                                                                            |[0x80002a80]:mulhu<br> [0x80002a84]:sd<br> |
| 302|[0x8000a978]<br>0x2222222222222221|- rs1_val==3689348814741910323 and rs2_val==12297829382473034409<br>                                                                                                                                                                                           |[0x80002ac8]:mulhu<br> [0x80002acc]:sd<br> |
| 303|[0x8000a980]<br>0x0000000000000000|- rs1_val==3689348814741910323 and rs2_val==4<br>                                                                                                                                                                                                              |[0x80002af4]:mulhu<br> [0x80002af8]:sd<br> |
| 304|[0x8000a988]<br>0x0a3d70a3d70a3d70|- rs1_val==3689348814741910323 and rs2_val==3689348814741910322<br>                                                                                                                                                                                            |[0x80002b3c]:mulhu<br> [0x80002b40]:sd<br> |
| 305|[0x8000a990]<br>0x147ae147ae147ae0|- rs1_val==3689348814741910323 and rs2_val==7378697629483820645<br>                                                                                                                                                                                            |[0x80002b84]:mulhu<br> [0x80002b88]:sd<br> |
| 306|[0x8000a998]<br>0x00000000243430a3|- rs1_val==3689348814741910323 and rs2_val==3037000498<br>                                                                                                                                                                                                     |[0x80002bbc]:mulhu<br> [0x80002bc0]:sd<br> |
| 307|[0x8000a9a0]<br>0x0000000033333332|- rs1_val==3689348814741910323 and rs2_val==4294967295<br>                                                                                                                                                                                                     |[0x80002bf0]:mulhu<br> [0x80002bf4]:sd<br> |
| 308|[0x8000a9a8]<br>0x1111111111111111|- rs1_val==3689348814741910323 and rs2_val==6148914691236517206<br>                                                                                                                                                                                            |[0x80002c38]:mulhu<br> [0x80002c3c]:sd<br> |
| 309|[0x8000a9b0]<br>0x2222222222222222|- rs1_val==3689348814741910323 and rs2_val==12297829382473034411<br>                                                                                                                                                                                           |[0x80002c80]:mulhu<br> [0x80002c84]:sd<br> |
| 310|[0x8000a9b8]<br>0x0000000000000001|- rs1_val==3689348814741910323 and rs2_val==6<br>                                                                                                                                                                                                              |[0x80002cac]:mulhu<br> [0x80002cb0]:sd<br> |
| 311|[0x8000a9c0]<br>0x0a3d70a3d70a3d70|- rs1_val==3689348814741910323 and rs2_val==3689348814741910324<br>                                                                                                                                                                                            |[0x80002cf4]:mulhu<br> [0x80002cf8]:sd<br> |
| 312|[0x8000a9c8]<br>0x147ae147ae147ae1|- rs1_val==3689348814741910323 and rs2_val==7378697629483820647<br>                                                                                                                                                                                            |[0x80002d3c]:mulhu<br> [0x80002d40]:sd<br> |
| 313|[0x8000a9d0]<br>0x00000000243430a3|- rs1_val==3689348814741910323 and rs2_val==3037000500<br>                                                                                                                                                                                                     |[0x80002d74]:mulhu<br> [0x80002d78]:sd<br> |
| 314|[0x8000a9d8]<br>0x0000000000000000|- rs1_val==3689348814741910323 and rs2_val==1<br>                                                                                                                                                                                                              |[0x80002da0]:mulhu<br> [0x80002da4]:sd<br> |
| 315|[0x8000a9e0]<br>0x0000000033333333|- rs1_val==3689348814741910323 and rs2_val==4294967297<br>                                                                                                                                                                                                     |[0x80002dd4]:mulhu<br> [0x80002dd8]:sd<br> |
| 316|[0x8000a9e8]<br>0x0000000000000001|- rs1_val==7378697629483820646 and rs2_val==3<br>                                                                                                                                                                                                              |[0x80002e00]:mulhu<br> [0x80002e04]:sd<br> |
| 317|[0x8000a9f0]<br>0x2222222222222221|- rs1_val==7378697629483820646 and rs2_val==6148914691236517205<br>                                                                                                                                                                                            |[0x80002e48]:mulhu<br> [0x80002e4c]:sd<br> |
| 318|[0x8000a9f8]<br>0x4444444444444443|- rs1_val==7378697629483820646 and rs2_val==12297829382473034410<br>                                                                                                                                                                                           |[0x80002e90]:mulhu<br> [0x80002e94]:sd<br> |
| 319|[0x8000aa00]<br>0x0000000000000001|- rs1_val==7378697629483820646 and rs2_val==5<br>                                                                                                                                                                                                              |[0x80002ebc]:mulhu<br> [0x80002ec0]:sd<br> |
| 320|[0x8000aa08]<br>0x147ae147ae147ae1|- rs1_val==7378697629483820646 and rs2_val==3689348814741910323<br>                                                                                                                                                                                            |[0x80002f04]:mulhu<br> [0x80002f08]:sd<br> |
| 321|[0x8000aa10]<br>0x28f5c28f5c28f5c2|- rs1_val==7378697629483820646 and rs2_val==7378697629483820646<br>                                                                                                                                                                                            |[0x80002f4c]:mulhu<br> [0x80002f50]:sd<br> |
| 322|[0x8000aa18]<br>0x0000000048686147|- rs1_val==7378697629483820646 and rs2_val==3037000499<br>                                                                                                                                                                                                     |[0x80002f84]:mulhu<br> [0x80002f88]:sd<br> |
| 323|[0x8000aa20]<br>0x0000000000000000|- rs1_val==7378697629483820646 and rs2_val==0<br>                                                                                                                                                                                                              |[0x80002fb0]:mulhu<br> [0x80002fb4]:sd<br> |
| 324|[0x8000aa28]<br>0x0000000066666666|- rs1_val==7378697629483820646 and rs2_val==4294967296<br>                                                                                                                                                                                                     |[0x80002fe0]:mulhu<br> [0x80002fe4]:sd<br> |
| 325|[0x8000aa30]<br>0x0000000000000000|- rs1_val==7378697629483820646 and rs2_val==2<br>                                                                                                                                                                                                              |[0x8000300c]:mulhu<br> [0x80003010]:sd<br> |
| 326|[0x8000aa38]<br>0x2222222222222221|- rs1_val==7378697629483820646 and rs2_val==6148914691236517204<br>                                                                                                                                                                                            |[0x80003054]:mulhu<br> [0x80003058]:sd<br> |
| 327|[0x8000aa40]<br>0x4444444444444443|- rs1_val==7378697629483820646 and rs2_val==12297829382473034409<br>                                                                                                                                                                                           |[0x8000309c]:mulhu<br> [0x800030a0]:sd<br> |
| 328|[0x8000aa48]<br>0x0000000000000001|- rs1_val==7378697629483820646 and rs2_val==4<br>                                                                                                                                                                                                              |[0x800030c8]:mulhu<br> [0x800030cc]:sd<br> |
| 329|[0x8000aa50]<br>0x147ae147ae147ae0|- rs1_val==7378697629483820646 and rs2_val==3689348814741910322<br>                                                                                                                                                                                            |[0x80003110]:mulhu<br> [0x80003114]:sd<br> |
| 330|[0x8000aa58]<br>0x28f5c28f5c28f5c1|- rs1_val==7378697629483820646 and rs2_val==7378697629483820645<br>                                                                                                                                                                                            |[0x80003158]:mulhu<br> [0x8000315c]:sd<br> |
| 331|[0x8000aa60]<br>0x0000000048686147|- rs1_val==7378697629483820646 and rs2_val==3037000498<br>                                                                                                                                                                                                     |[0x80003190]:mulhu<br> [0x80003194]:sd<br> |
| 332|[0x8000aa68]<br>0x0000000066666665|- rs1_val==7378697629483820646 and rs2_val==4294967295<br>                                                                                                                                                                                                     |[0x800031c4]:mulhu<br> [0x800031c8]:sd<br> |
| 333|[0x8000aa70]<br>0x2222222222222222|- rs1_val==7378697629483820646 and rs2_val==6148914691236517206<br>                                                                                                                                                                                            |[0x8000320c]:mulhu<br> [0x80003210]:sd<br> |
| 334|[0x8000aa78]<br>0x4444444444444444|- rs1_val==7378697629483820646 and rs2_val==12297829382473034411<br>                                                                                                                                                                                           |[0x80003254]:mulhu<br> [0x80003258]:sd<br> |
| 335|[0x8000aa80]<br>0x0000000000000002|- rs1_val==7378697629483820646 and rs2_val==6<br>                                                                                                                                                                                                              |[0x80003280]:mulhu<br> [0x80003284]:sd<br> |
| 336|[0x8000aa88]<br>0x147ae147ae147ae1|- rs1_val==7378697629483820646 and rs2_val==3689348814741910324<br>                                                                                                                                                                                            |[0x800032c8]:mulhu<br> [0x800032cc]:sd<br> |
| 337|[0x8000aa90]<br>0x28f5c28f5c28f5c2|- rs1_val==7378697629483820646 and rs2_val==7378697629483820647<br>                                                                                                                                                                                            |[0x80003310]:mulhu<br> [0x80003314]:sd<br> |
| 338|[0x8000aa98]<br>0x0000000048686147|- rs1_val==7378697629483820646 and rs2_val==3037000500<br>                                                                                                                                                                                                     |[0x80003348]:mulhu<br> [0x8000334c]:sd<br> |
| 339|[0x8000aaa0]<br>0x0000000000000000|- rs1_val==7378697629483820646 and rs2_val==1<br>                                                                                                                                                                                                              |[0x80003374]:mulhu<br> [0x80003378]:sd<br> |
| 340|[0x8000aaa8]<br>0x0000000066666666|- rs1_val==7378697629483820646 and rs2_val==4294967297<br>                                                                                                                                                                                                     |[0x800033a8]:mulhu<br> [0x800033ac]:sd<br> |
| 341|[0x8000aab0]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==3<br>                                                                                                                                                                                                                       |[0x800033c4]:mulhu<br> [0x800033c8]:sd<br> |
| 342|[0x8000aab8]<br>0x000000003c56fbbb|- rs1_val==3037000499 and rs2_val==6148914691236517205<br>                                                                                                                                                                                                     |[0x800033fc]:mulhu<br> [0x80003400]:sd<br> |
| 343|[0x8000aac0]<br>0x0000000078adf777|- rs1_val==3037000499 and rs2_val==12297829382473034410<br>                                                                                                                                                                                                    |[0x80003434]:mulhu<br> [0x80003438]:sd<br> |
| 344|[0x8000aac8]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==5<br>                                                                                                                                                                                                                       |[0x80003450]:mulhu<br> [0x80003454]:sd<br> |
| 345|[0x8000aad0]<br>0x00000000243430a3|- rs1_val==3037000499 and rs2_val==3689348814741910323<br>                                                                                                                                                                                                     |[0x80003488]:mulhu<br> [0x8000348c]:sd<br> |
| 346|[0x8000aad8]<br>0x0000000048686147|- rs1_val==3037000499 and rs2_val==7378697629483820646<br>                                                                                                                                                                                                     |[0x800034c0]:mulhu<br> [0x800034c4]:sd<br> |
| 347|[0x8000aae0]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==3037000499<br>                                                                                                                                                                                                              |[0x800034e8]:mulhu<br> [0x800034ec]:sd<br> |
| 348|[0x8000aae8]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==0<br>                                                                                                                                                                                                                       |[0x80003504]:mulhu<br> [0x80003508]:sd<br> |
| 349|[0x8000aaf0]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==4294967296<br>                                                                                                                                                                                                              |[0x80003524]:mulhu<br> [0x80003528]:sd<br> |
| 350|[0x8000aaf8]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==2<br>                                                                                                                                                                                                                       |[0x80003540]:mulhu<br> [0x80003544]:sd<br> |
| 351|[0x8000ab00]<br>0x000000003c56fbbb|- rs1_val==3037000499 and rs2_val==6148914691236517204<br>                                                                                                                                                                                                     |[0x80003578]:mulhu<br> [0x8000357c]:sd<br> |
| 352|[0x8000ab08]<br>0x0000000078adf777|- rs1_val==3037000499 and rs2_val==12297829382473034409<br>                                                                                                                                                                                                    |[0x800035b0]:mulhu<br> [0x800035b4]:sd<br> |
| 353|[0x8000ab10]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==4<br>                                                                                                                                                                                                                       |[0x800035cc]:mulhu<br> [0x800035d0]:sd<br> |
| 354|[0x8000ab18]<br>0x00000000243430a3|- rs1_val==3037000499 and rs2_val==3689348814741910322<br>                                                                                                                                                                                                     |[0x80003604]:mulhu<br> [0x80003608]:sd<br> |
| 355|[0x8000ab20]<br>0x0000000048686147|- rs1_val==3037000499 and rs2_val==7378697629483820645<br>                                                                                                                                                                                                     |[0x8000363c]:mulhu<br> [0x80003640]:sd<br> |
| 356|[0x8000ab28]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==3037000498<br>                                                                                                                                                                                                              |[0x80003664]:mulhu<br> [0x80003668]:sd<br> |
| 357|[0x8000ab30]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==4294967295<br>                                                                                                                                                                                                              |[0x80003688]:mulhu<br> [0x8000368c]:sd<br> |
| 358|[0x8000ab38]<br>0x000000003c56fbbb|- rs1_val==3037000499 and rs2_val==6148914691236517206<br>                                                                                                                                                                                                     |[0x800036c0]:mulhu<br> [0x800036c4]:sd<br> |
| 359|[0x8000ab40]<br>0x0000000078adf777|- rs1_val==3037000499 and rs2_val==12297829382473034411<br>                                                                                                                                                                                                    |[0x800036f8]:mulhu<br> [0x800036fc]:sd<br> |
| 360|[0x8000ab48]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==6<br>                                                                                                                                                                                                                       |[0x80003714]:mulhu<br> [0x80003718]:sd<br> |
| 361|[0x8000ab50]<br>0x00000000243430a3|- rs1_val==3037000499 and rs2_val==3689348814741910324<br>                                                                                                                                                                                                     |[0x8000374c]:mulhu<br> [0x80003750]:sd<br> |
| 362|[0x8000ab58]<br>0x0000000048686147|- rs1_val==3037000499 and rs2_val==7378697629483820647<br>                                                                                                                                                                                                     |[0x80003784]:mulhu<br> [0x80003788]:sd<br> |
| 363|[0x8000ab60]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==3037000500<br>                                                                                                                                                                                                              |[0x800037ac]:mulhu<br> [0x800037b0]:sd<br> |
| 364|[0x8000ab68]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==1<br>                                                                                                                                                                                                                       |[0x800037c8]:mulhu<br> [0x800037cc]:sd<br> |
| 365|[0x8000ab70]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==4294967297<br>                                                                                                                                                                                                              |[0x800037ec]:mulhu<br> [0x800037f0]:sd<br> |
| 366|[0x8000ab78]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3<br>                                                                                                                                                                                                                                |[0x800037fc]:mulhu<br> [0x80003800]:sd<br> |
| 367|[0x8000ab80]<br>0x0000000000000000|- rs1_val==0 and rs2_val==6148914691236517205<br>                                                                                                                                                                                                              |[0x80003828]:mulhu<br> [0x8000382c]:sd<br> |
| 368|[0x8000ab88]<br>0x0000000000000000|- rs1_val==0 and rs2_val==12297829382473034410<br>                                                                                                                                                                                                             |[0x80003854]:mulhu<br> [0x80003858]:sd<br> |
| 369|[0x8000ab90]<br>0x0000000000000000|- rs1_val==0 and rs2_val==5<br>                                                                                                                                                                                                                                |[0x80003864]:mulhu<br> [0x80003868]:sd<br> |
| 370|[0x8000ab98]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3689348814741910323<br>                                                                                                                                                                                                              |[0x80003890]:mulhu<br> [0x80003894]:sd<br> |
| 371|[0x8000aba0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==7378697629483820646<br>                                                                                                                                                                                                              |[0x800038bc]:mulhu<br> [0x800038c0]:sd<br> |
| 372|[0x8000aba8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3037000499<br>                                                                                                                                                                                                                       |[0x800038d8]:mulhu<br> [0x800038dc]:sd<br> |
| 373|[0x8000abb0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==0<br>                                                                                                                                                                                                                                |[0x800038e8]:mulhu<br> [0x800038ec]:sd<br> |
| 374|[0x8000abb8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==4294967296<br>                                                                                                                                                                                                                       |[0x800038fc]:mulhu<br> [0x80003900]:sd<br> |
| 375|[0x8000abc0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==2<br>                                                                                                                                                                                                                                |[0x8000390c]:mulhu<br> [0x80003910]:sd<br> |
| 376|[0x8000abc8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==6148914691236517204<br>                                                                                                                                                                                                              |[0x80003938]:mulhu<br> [0x8000393c]:sd<br> |
| 377|[0x8000abd0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==12297829382473034409<br>                                                                                                                                                                                                             |[0x80003964]:mulhu<br> [0x80003968]:sd<br> |
| 378|[0x8000abd8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==4<br>                                                                                                                                                                                                                                |[0x80003974]:mulhu<br> [0x80003978]:sd<br> |
| 379|[0x8000abe0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3689348814741910322<br>                                                                                                                                                                                                              |[0x800039a0]:mulhu<br> [0x800039a4]:sd<br> |
| 380|[0x8000abe8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==7378697629483820645<br>                                                                                                                                                                                                              |[0x800039cc]:mulhu<br> [0x800039d0]:sd<br> |
| 381|[0x8000abf0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3037000498<br>                                                                                                                                                                                                                       |[0x800039e8]:mulhu<br> [0x800039ec]:sd<br> |
| 382|[0x8000abf8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==4294967295<br>                                                                                                                                                                                                                       |[0x80003a00]:mulhu<br> [0x80003a04]:sd<br> |
| 383|[0x8000ac00]<br>0x0000000000000000|- rs1_val==0 and rs2_val==6148914691236517206<br>                                                                                                                                                                                                              |[0x80003a2c]:mulhu<br> [0x80003a30]:sd<br> |
| 384|[0x8000ac08]<br>0x0000000000000000|- rs1_val==0 and rs2_val==12297829382473034411<br>                                                                                                                                                                                                             |[0x80003a58]:mulhu<br> [0x80003a5c]:sd<br> |
| 385|[0x8000ac10]<br>0x0000000000000000|- rs1_val==0 and rs2_val==6<br>                                                                                                                                                                                                                                |[0x80003a68]:mulhu<br> [0x80003a6c]:sd<br> |
| 386|[0x8000ac18]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3689348814741910324<br>                                                                                                                                                                                                              |[0x80003a94]:mulhu<br> [0x80003a98]:sd<br> |
| 387|[0x8000ac20]<br>0x0000000000000000|- rs1_val==0 and rs2_val==7378697629483820647<br>                                                                                                                                                                                                              |[0x80003ac0]:mulhu<br> [0x80003ac4]:sd<br> |
| 388|[0x8000ac28]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3037000500<br>                                                                                                                                                                                                                       |[0x80003adc]:mulhu<br> [0x80003ae0]:sd<br> |
| 389|[0x8000ac30]<br>0x0000000000000000|- rs1_val==0 and rs2_val==1<br>                                                                                                                                                                                                                                |[0x80003aec]:mulhu<br> [0x80003af0]:sd<br> |
| 390|[0x8000ac38]<br>0x0000000000000000|- rs1_val==0 and rs2_val==4294967297<br>                                                                                                                                                                                                                       |[0x80003b04]:mulhu<br> [0x80003b08]:sd<br> |
| 391|[0x8000ac40]<br>0x0000000000000000|- rs1_val==4294967296 and rs2_val==3<br>                                                                                                                                                                                                                       |[0x80003b18]:mulhu<br> [0x80003b1c]:sd<br> |
| 392|[0x8000ac48]<br>0x0000000055555555|- rs1_val==4294967296 and rs2_val==6148914691236517205<br>                                                                                                                                                                                                     |[0x80003b48]:mulhu<br> [0x80003b4c]:sd<br> |
| 393|[0x8000ac50]<br>0x00000000aaaaaaaa|- rs1_val==4294967296 and rs2_val==12297829382473034410<br>                                                                                                                                                                                                    |[0x80003b78]:mulhu<br> [0x80003b7c]:sd<br> |
| 394|[0x8000ac58]<br>0x0000000000000000|- rs1_val==4294967296 and rs2_val==5<br>                                                                                                                                                                                                                       |[0x80003b8c]:mulhu<br> [0x80003b90]:sd<br> |
| 395|[0x8000ac60]<br>0x0000000033333333|- rs1_val==4294967296 and rs2_val==3689348814741910323<br>                                                                                                                                                                                                     |[0x80003bbc]:mulhu<br> [0x80003bc0]:sd<br> |
| 396|[0x8000ac68]<br>0x0000000066666666|- rs1_val==4294967296 and rs2_val==7378697629483820646<br>                                                                                                                                                                                                     |[0x80003bec]:mulhu<br> [0x80003bf0]:sd<br> |
| 397|[0x8000ac70]<br>0x0000000000000000|- rs1_val==4294967296 and rs2_val==3037000499<br>                                                                                                                                                                                                              |[0x80003c0c]:mulhu<br> [0x80003c10]:sd<br> |
| 398|[0x8000ac78]<br>0x0000000000000000|- rs1_val==4294967296 and rs2_val==0<br>                                                                                                                                                                                                                       |[0x80003c20]:mulhu<br> [0x80003c24]:sd<br> |
| 399|[0x8000ac80]<br>0x0000000000000001|- rs1_val==4294967296 and rs2_val==4294967296<br>                                                                                                                                                                                                              |[0x80003c38]:mulhu<br> [0x80003c3c]:sd<br> |
| 400|[0x8000ac88]<br>0x0000000000000000|- rs1_val==4294967296 and rs2_val==2<br>                                                                                                                                                                                                                       |[0x80003c4c]:mulhu<br> [0x80003c50]:sd<br> |
| 401|[0x8000ac90]<br>0x0000000055555555|- rs1_val==4294967296 and rs2_val==6148914691236517204<br>                                                                                                                                                                                                     |[0x80003c7c]:mulhu<br> [0x80003c80]:sd<br> |
| 402|[0x8000ac98]<br>0x00000000aaaaaaaa|- rs1_val==4294967296 and rs2_val==12297829382473034409<br>                                                                                                                                                                                                    |[0x80003cac]:mulhu<br> [0x80003cb0]:sd<br> |
| 403|[0x8000aca0]<br>0x0000000000000000|- rs1_val==4294967296 and rs2_val==4<br>                                                                                                                                                                                                                       |[0x80003cc0]:mulhu<br> [0x80003cc4]:sd<br> |
| 404|[0x8000aca8]<br>0x0000000033333333|- rs1_val==4294967296 and rs2_val==3689348814741910322<br>                                                                                                                                                                                                     |[0x80003cf0]:mulhu<br> [0x80003cf4]:sd<br> |
| 405|[0x8000acb0]<br>0x0000000066666666|- rs1_val==4294967296 and rs2_val==7378697629483820645<br>                                                                                                                                                                                                     |[0x80003d20]:mulhu<br> [0x80003d24]:sd<br> |
| 406|[0x8000acb8]<br>0x0000000000000000|- rs1_val==4294967296 and rs2_val==3037000498<br>                                                                                                                                                                                                              |[0x80003d40]:mulhu<br> [0x80003d44]:sd<br> |
| 407|[0x8000acc0]<br>0x0000000000000000|- rs1_val==4294967296 and rs2_val==4294967295<br>                                                                                                                                                                                                              |[0x80003d5c]:mulhu<br> [0x80003d60]:sd<br> |
| 408|[0x8000acc8]<br>0x0000000055555555|- rs1_val==4294967296 and rs2_val==6148914691236517206<br>                                                                                                                                                                                                     |[0x80003d8c]:mulhu<br> [0x80003d90]:sd<br> |
| 409|[0x8000acd0]<br>0x00000000aaaaaaaa|- rs1_val==4294967296 and rs2_val==12297829382473034411<br>                                                                                                                                                                                                    |[0x80003dbc]:mulhu<br> [0x80003dc0]:sd<br> |
| 410|[0x8000acd8]<br>0x0000000000000000|- rs1_val==4294967296 and rs2_val==6<br>                                                                                                                                                                                                                       |[0x80003dd0]:mulhu<br> [0x80003dd4]:sd<br> |
| 411|[0x8000ace0]<br>0x0000000033333333|- rs1_val==4294967296 and rs2_val==3689348814741910324<br>                                                                                                                                                                                                     |[0x80003e00]:mulhu<br> [0x80003e04]:sd<br> |
| 412|[0x8000ace8]<br>0x0000000066666666|- rs1_val==4294967296 and rs2_val==7378697629483820647<br>                                                                                                                                                                                                     |[0x80003e30]:mulhu<br> [0x80003e34]:sd<br> |
| 413|[0x8000acf0]<br>0x0000000000000000|- rs1_val==4294967296 and rs2_val==3037000500<br>                                                                                                                                                                                                              |[0x80003e50]:mulhu<br> [0x80003e54]:sd<br> |
| 414|[0x8000acf8]<br>0x0000000000000000|- rs1_val==4294967296 and rs2_val==1<br>                                                                                                                                                                                                                       |[0x80003e64]:mulhu<br> [0x80003e68]:sd<br> |
| 415|[0x8000ad00]<br>0x0000000000000001|- rs1_val==4294967296 and rs2_val==4294967297<br>                                                                                                                                                                                                              |[0x80003e80]:mulhu<br> [0x80003e84]:sd<br> |
| 416|[0x8000ad08]<br>0x0000000000000000|- rs1_val==2 and rs2_val==6148914691236517205<br>                                                                                                                                                                                                              |[0x80003eac]:mulhu<br> [0x80003eb0]:sd<br> |
| 417|[0x8000ad10]<br>0x0000000000000001|- rs1_val==2 and rs2_val==12297829382473034410<br>                                                                                                                                                                                                             |[0x80003ed8]:mulhu<br> [0x80003edc]:sd<br> |
| 418|[0x8000ad18]<br>0x0000000000000000|- rs1_val==2 and rs2_val==5<br>                                                                                                                                                                                                                                |[0x80003ee8]:mulhu<br> [0x80003eec]:sd<br> |
| 419|[0x8000ad20]<br>0x0000000000000000|- rs1_val==2 and rs2_val==3689348814741910323<br>                                                                                                                                                                                                              |[0x80003f14]:mulhu<br> [0x80003f18]:sd<br> |
| 420|[0x8000ad28]<br>0x0000000000000000|- rs1_val==2 and rs2_val==7378697629483820646<br>                                                                                                                                                                                                              |[0x80003f40]:mulhu<br> [0x80003f44]:sd<br> |
| 421|[0x8000ad30]<br>0x0000000000000000|- rs1_val==2 and rs2_val==3037000499<br>                                                                                                                                                                                                                       |[0x80003f5c]:mulhu<br> [0x80003f60]:sd<br> |
| 422|[0x8000ad38]<br>0x0000000000000000|- rs1_val==2 and rs2_val==0<br>                                                                                                                                                                                                                                |[0x80003f6c]:mulhu<br> [0x80003f70]:sd<br> |
| 423|[0x8000ad40]<br>0x0000000000000000|- rs1_val==2 and rs2_val==4294967296<br>                                                                                                                                                                                                                       |[0x80003f80]:mulhu<br> [0x80003f84]:sd<br> |
| 424|[0x8000ad48]<br>0x0000000000000000|- rs1_val==2 and rs2_val==2<br>                                                                                                                                                                                                                                |[0x80003f90]:mulhu<br> [0x80003f94]:sd<br> |
| 425|[0x8000ad50]<br>0x0000000000000000|- rs1_val==2 and rs2_val==6148914691236517204<br>                                                                                                                                                                                                              |[0x80003fbc]:mulhu<br> [0x80003fc0]:sd<br> |
| 426|[0x8000ad58]<br>0x0000000000000001|- rs1_val==2 and rs2_val==12297829382473034409<br>                                                                                                                                                                                                             |[0x80003fe8]:mulhu<br> [0x80003fec]:sd<br> |
| 427|[0x8000ad60]<br>0x0000000000000000|- rs1_val==2 and rs2_val==4<br>                                                                                                                                                                                                                                |[0x80003ff8]:mulhu<br> [0x80003ffc]:sd<br> |
| 428|[0x8000ad68]<br>0x0000000000000000|- rs1_val==2 and rs2_val==3689348814741910322<br>                                                                                                                                                                                                              |[0x80004024]:mulhu<br> [0x80004028]:sd<br> |
| 429|[0x8000ad70]<br>0x0000000000000000|- rs1_val==2 and rs2_val==7378697629483820645<br>                                                                                                                                                                                                              |[0x80004050]:mulhu<br> [0x80004054]:sd<br> |
| 430|[0x8000ad78]<br>0x0000000000000000|- rs1_val==2 and rs2_val==3037000498<br>                                                                                                                                                                                                                       |[0x8000406c]:mulhu<br> [0x80004070]:sd<br> |
| 431|[0x8000ad80]<br>0x0000000000000000|- rs1_val==2 and rs2_val==4294967295<br>                                                                                                                                                                                                                       |[0x80004084]:mulhu<br> [0x80004088]:sd<br> |
| 432|[0x8000ad88]<br>0x0000000000000000|- rs1_val==2 and rs2_val==6148914691236517206<br>                                                                                                                                                                                                              |[0x800040b0]:mulhu<br> [0x800040b4]:sd<br> |
| 433|[0x8000ad90]<br>0x0000000000000001|- rs1_val==2 and rs2_val==12297829382473034411<br>                                                                                                                                                                                                             |[0x800040dc]:mulhu<br> [0x800040e0]:sd<br> |
| 434|[0x8000ad98]<br>0x0000000000000000|- rs1_val==2 and rs2_val==6<br>                                                                                                                                                                                                                                |[0x800040ec]:mulhu<br> [0x800040f0]:sd<br> |
| 435|[0x8000ada0]<br>0x0000000000000000|- rs1_val==2 and rs2_val==3689348814741910324<br>                                                                                                                                                                                                              |[0x80004118]:mulhu<br> [0x8000411c]:sd<br> |
| 436|[0x8000ada8]<br>0x0000000000000000|- rs1_val==2 and rs2_val==7378697629483820647<br>                                                                                                                                                                                                              |[0x80004144]:mulhu<br> [0x80004148]:sd<br> |
| 437|[0x8000adb0]<br>0x0000000000000000|- rs1_val==2 and rs2_val==3037000500<br>                                                                                                                                                                                                                       |[0x80004160]:mulhu<br> [0x80004164]:sd<br> |
| 438|[0x8000adb8]<br>0x0000000000000000|- rs1_val==2 and rs2_val==1<br>                                                                                                                                                                                                                                |[0x80004170]:mulhu<br> [0x80004174]:sd<br> |
| 439|[0x8000adc0]<br>0x0000000000000000|- rs1_val==2 and rs2_val==4294967297<br>                                                                                                                                                                                                                       |[0x80004188]:mulhu<br> [0x8000418c]:sd<br> |
| 440|[0x8000adc8]<br>0x0000000000000000|- rs1_val==6148914691236517204 and rs2_val==3<br>                                                                                                                                                                                                              |[0x800041b4]:mulhu<br> [0x800041b8]:sd<br> |
| 441|[0x8000add0]<br>0x1c71c71c71c71c71|- rs1_val==6148914691236517204 and rs2_val==6148914691236517205<br>                                                                                                                                                                                            |[0x800041fc]:mulhu<br> [0x80004200]:sd<br> |
| 442|[0x8000add8]<br>0x38e38e38e38e38e2|- rs1_val==6148914691236517204 and rs2_val==12297829382473034410<br>                                                                                                                                                                                           |[0x80004244]:mulhu<br> [0x80004248]:sd<br> |
| 443|[0x8000ade0]<br>0x0000000000000001|- rs1_val==6148914691236517204 and rs2_val==5<br>                                                                                                                                                                                                              |[0x80004270]:mulhu<br> [0x80004274]:sd<br> |
| 444|[0x8000ade8]<br>0x1111111111111110|- rs1_val==6148914691236517204 and rs2_val==3689348814741910323<br>                                                                                                                                                                                            |[0x800042b8]:mulhu<br> [0x800042bc]:sd<br> |
| 445|[0x8000adf0]<br>0x2222222222222221|- rs1_val==6148914691236517204 and rs2_val==7378697629483820646<br>                                                                                                                                                                                            |[0x80004300]:mulhu<br> [0x80004304]:sd<br> |
| 446|[0x8000adf8]<br>0x000000003c56fbbb|- rs1_val==6148914691236517204 and rs2_val==3037000499<br>                                                                                                                                                                                                     |[0x80004338]:mulhu<br> [0x8000433c]:sd<br> |
| 447|[0x8000ae00]<br>0x0000000000000000|- rs1_val==6148914691236517204 and rs2_val==0<br>                                                                                                                                                                                                              |[0x80004364]:mulhu<br> [0x80004368]:sd<br> |
| 448|[0x8000ae08]<br>0x0000000055555555|- rs1_val==6148914691236517204 and rs2_val==4294967296<br>                                                                                                                                                                                                     |[0x80004394]:mulhu<br> [0x80004398]:sd<br> |
| 449|[0x8000ae10]<br>0x0000000000000000|- rs1_val==6148914691236517204 and rs2_val==2<br>                                                                                                                                                                                                              |[0x800043c0]:mulhu<br> [0x800043c4]:sd<br> |
| 450|[0x8000ae18]<br>0x1c71c71c71c71c70|- rs1_val==6148914691236517204 and rs2_val==6148914691236517204<br>                                                                                                                                                                                            |[0x80004408]:mulhu<br> [0x8000440c]:sd<br> |
| 451|[0x8000ae20]<br>0x38e38e38e38e38e2|- rs1_val==6148914691236517204 and rs2_val==12297829382473034409<br>                                                                                                                                                                                           |[0x80004450]:mulhu<br> [0x80004454]:sd<br> |
| 452|[0x8000ae28]<br>0x0000000000000001|- rs1_val==6148914691236517204 and rs2_val==4<br>                                                                                                                                                                                                              |[0x8000447c]:mulhu<br> [0x80004480]:sd<br> |
| 453|[0x8000ae30]<br>0x1111111111111110|- rs1_val==6148914691236517204 and rs2_val==3689348814741910322<br>                                                                                                                                                                                            |[0x800044c4]:mulhu<br> [0x800044c8]:sd<br> |
| 454|[0x8000ae38]<br>0x2222222222222221|- rs1_val==6148914691236517204 and rs2_val==7378697629483820645<br>                                                                                                                                                                                            |[0x8000450c]:mulhu<br> [0x80004510]:sd<br> |
| 455|[0x8000ae40]<br>0x000000003c56fbbb|- rs1_val==6148914691236517204 and rs2_val==3037000498<br>                                                                                                                                                                                                     |[0x80004544]:mulhu<br> [0x80004548]:sd<br> |
| 456|[0x8000ae48]<br>0x0000000055555554|- rs1_val==6148914691236517204 and rs2_val==4294967295<br>                                                                                                                                                                                                     |[0x80004578]:mulhu<br> [0x8000457c]:sd<br> |
| 457|[0x8000ae50]<br>0x1c71c71c71c71c71|- rs1_val==6148914691236517204 and rs2_val==6148914691236517206<br>                                                                                                                                                                                            |[0x800045c0]:mulhu<br> [0x800045c4]:sd<br> |
| 458|[0x8000ae58]<br>0x38e38e38e38e38e2|- rs1_val==6148914691236517204 and rs2_val==12297829382473034411<br>                                                                                                                                                                                           |[0x80004608]:mulhu<br> [0x8000460c]:sd<br> |
| 459|[0x8000ae60]<br>0x0000000000000001|- rs1_val==6148914691236517204 and rs2_val==6<br>                                                                                                                                                                                                              |[0x80004634]:mulhu<br> [0x80004638]:sd<br> |
| 460|[0x8000ae68]<br>0x1111111111111111|- rs1_val==6148914691236517204 and rs2_val==3689348814741910324<br>                                                                                                                                                                                            |[0x8000467c]:mulhu<br> [0x80004680]:sd<br> |
| 461|[0x8000ae70]<br>0x2222222222222221|- rs1_val==6148914691236517204 and rs2_val==7378697629483820647<br>                                                                                                                                                                                            |[0x800046c4]:mulhu<br> [0x800046c8]:sd<br> |
| 462|[0x8000ae78]<br>0x000000003c56fbbb|- rs1_val==6148914691236517204 and rs2_val==3037000500<br>                                                                                                                                                                                                     |[0x800046fc]:mulhu<br> [0x80004700]:sd<br> |
| 463|[0x8000ae80]<br>0x0000000000000000|- rs1_val==6148914691236517204 and rs2_val==1<br>                                                                                                                                                                                                              |[0x80004728]:mulhu<br> [0x8000472c]:sd<br> |
| 464|[0x8000ae88]<br>0x0000000055555555|- rs1_val==6148914691236517204 and rs2_val==4294967297<br>                                                                                                                                                                                                     |[0x8000475c]:mulhu<br> [0x80004760]:sd<br> |
| 465|[0x8000ae90]<br>0x0000000000000001|- rs1_val==12297829382473034409 and rs2_val==3<br>                                                                                                                                                                                                             |[0x80004788]:mulhu<br> [0x8000478c]:sd<br> |
| 466|[0x8000ae98]<br>0x38e38e38e38e38e2|- rs1_val==12297829382473034409 and rs2_val==6148914691236517205<br>                                                                                                                                                                                           |[0x800047d0]:mulhu<br> [0x800047d4]:sd<br> |
| 467|[0x8000aea0]<br>0x71c71c71c71c71c5|- rs1_val==12297829382473034409 and rs2_val==12297829382473034410<br>                                                                                                                                                                                          |[0x80004818]:mulhu<br> [0x8000481c]:sd<br> |
| 468|[0x8000aea8]<br>0x0000000000000003|- rs1_val==12297829382473034409 and rs2_val==5<br>                                                                                                                                                                                                             |[0x80004844]:mulhu<br> [0x80004848]:sd<br> |
| 469|[0x8000aeb0]<br>0x2222222222222221|- rs1_val==12297829382473034409 and rs2_val==3689348814741910323<br>                                                                                                                                                                                           |[0x8000488c]:mulhu<br> [0x80004890]:sd<br> |
| 470|[0x8000aeb8]<br>0x4444444444444443|- rs1_val==12297829382473034409 and rs2_val==7378697629483820646<br>                                                                                                                                                                                           |[0x800048d4]:mulhu<br> [0x800048d8]:sd<br> |
| 471|[0x8000aec0]<br>0x0000000078adf777|- rs1_val==12297829382473034409 and rs2_val==3037000499<br>                                                                                                                                                                                                    |[0x8000490c]:mulhu<br> [0x80004910]:sd<br> |
| 472|[0x8000aec8]<br>0x0000000000000000|- rs1_val==12297829382473034409 and rs2_val==0<br>                                                                                                                                                                                                             |[0x80004938]:mulhu<br> [0x8000493c]:sd<br> |
| 473|[0x8000aed0]<br>0x00000000aaaaaaaa|- rs1_val==12297829382473034409 and rs2_val==4294967296<br>                                                                                                                                                                                                    |[0x80004968]:mulhu<br> [0x8000496c]:sd<br> |
| 474|[0x8000aed8]<br>0x0000000000000001|- rs1_val==12297829382473034409 and rs2_val==2<br>                                                                                                                                                                                                             |[0x80004994]:mulhu<br> [0x80004998]:sd<br> |
| 475|[0x8000aee0]<br>0x38e38e38e38e38e2|- rs1_val==12297829382473034409 and rs2_val==6148914691236517204<br>                                                                                                                                                                                           |[0x800049dc]:mulhu<br> [0x800049e0]:sd<br> |
| 476|[0x8000aee8]<br>0x71c71c71c71c71c4|- rs1_val==12297829382473034409 and rs2_val==12297829382473034409<br>                                                                                                                                                                                          |[0x80004a24]:mulhu<br> [0x80004a28]:sd<br> |
| 477|[0x8000aef0]<br>0x0000000000000002|- rs1_val==12297829382473034409 and rs2_val==4<br>                                                                                                                                                                                                             |[0x80004a50]:mulhu<br> [0x80004a54]:sd<br> |
| 478|[0x8000aef8]<br>0x2222222222222221|- rs1_val==12297829382473034409 and rs2_val==3689348814741910322<br>                                                                                                                                                                                           |[0x80004a98]:mulhu<br> [0x80004a9c]:sd<br> |
| 479|[0x8000af00]<br>0x4444444444444442|- rs1_val==12297829382473034409 and rs2_val==7378697629483820645<br>                                                                                                                                                                                           |[0x80004ae0]:mulhu<br> [0x80004ae4]:sd<br> |
| 480|[0x8000af08]<br>0x0000000078adf776|- rs1_val==12297829382473034409 and rs2_val==3037000498<br>                                                                                                                                                                                                    |[0x80004b18]:mulhu<br> [0x80004b1c]:sd<br> |
| 481|[0x8000af10]<br>0x00000000aaaaaaa9|- rs1_val==12297829382473034409 and rs2_val==4294967295<br>                                                                                                                                                                                                    |[0x80004b4c]:mulhu<br> [0x80004b50]:sd<br> |
| 482|[0x8000af18]<br>0x38e38e38e38e38e3|- rs1_val==12297829382473034409 and rs2_val==6148914691236517206<br>                                                                                                                                                                                           |[0x80004b94]:mulhu<br> [0x80004b98]:sd<br> |
| 483|[0x8000af20]<br>0x71c71c71c71c71c6|- rs1_val==12297829382473034409 and rs2_val==12297829382473034411<br>                                                                                                                                                                                          |[0x80004bdc]:mulhu<br> [0x80004be0]:sd<br> |
| 484|[0x8000af28]<br>0x0000000000000003|- rs1_val==12297829382473034409 and rs2_val==6<br>                                                                                                                                                                                                             |[0x80004c08]:mulhu<br> [0x80004c0c]:sd<br> |
| 485|[0x8000af30]<br>0x2222222222222222|- rs1_val==12297829382473034409 and rs2_val==3689348814741910324<br>                                                                                                                                                                                           |[0x80004c50]:mulhu<br> [0x80004c54]:sd<br> |
| 486|[0x8000af38]<br>0x4444444444444443|- rs1_val==12297829382473034409 and rs2_val==7378697629483820647<br>                                                                                                                                                                                           |[0x80004c98]:mulhu<br> [0x80004c9c]:sd<br> |
| 487|[0x8000af40]<br>0x0000000078adf777|- rs1_val==12297829382473034409 and rs2_val==3037000500<br>                                                                                                                                                                                                    |[0x80004cd0]:mulhu<br> [0x80004cd4]:sd<br> |
| 488|[0x8000af48]<br>0x0000000000000000|- rs1_val==12297829382473034409 and rs2_val==1<br>                                                                                                                                                                                                             |[0x80004cfc]:mulhu<br> [0x80004d00]:sd<br> |
| 489|[0x8000af50]<br>0x00000000aaaaaaab|- rs1_val==12297829382473034409 and rs2_val==4294967297<br>                                                                                                                                                                                                    |[0x80004d30]:mulhu<br> [0x80004d34]:sd<br> |
| 490|[0x8000af58]<br>0x0000000000000000|- rs1_val==4 and rs2_val==3<br>                                                                                                                                                                                                                                |[0x80004d40]:mulhu<br> [0x80004d44]:sd<br> |
| 491|[0x8000af60]<br>0x0000000000000001|- rs1_val==4 and rs2_val==6148914691236517205<br>                                                                                                                                                                                                              |[0x80004d6c]:mulhu<br> [0x80004d70]:sd<br> |
| 492|[0x8000af68]<br>0x0000000000000002|- rs1_val==4 and rs2_val==12297829382473034410<br>                                                                                                                                                                                                             |[0x80004d98]:mulhu<br> [0x80004d9c]:sd<br> |
| 493|[0x8000af70]<br>0x0000000000000000|- rs1_val==4 and rs2_val==5<br>                                                                                                                                                                                                                                |[0x80004da8]:mulhu<br> [0x80004dac]:sd<br> |
| 494|[0x8000af78]<br>0x0000000000000000|- rs1_val==4 and rs2_val==3689348814741910323<br>                                                                                                                                                                                                              |[0x80004dd4]:mulhu<br> [0x80004dd8]:sd<br> |
| 495|[0x8000af80]<br>0x0000000000000001|- rs1_val==4 and rs2_val==7378697629483820646<br>                                                                                                                                                                                                              |[0x80004e00]:mulhu<br> [0x80004e04]:sd<br> |
| 496|[0x8000af88]<br>0x0000000000000000|- rs1_val==4 and rs2_val==3037000499<br>                                                                                                                                                                                                                       |[0x80004e1c]:mulhu<br> [0x80004e20]:sd<br> |
| 497|[0x8000af90]<br>0x0000000000000000|- rs1_val==4 and rs2_val==0<br>                                                                                                                                                                                                                                |[0x80004e2c]:mulhu<br> [0x80004e30]:sd<br> |
| 498|[0x8000af98]<br>0x0000000000000000|- rs1_val==4 and rs2_val==4294967296<br>                                                                                                                                                                                                                       |[0x80004e40]:mulhu<br> [0x80004e44]:sd<br> |
| 499|[0x8000afa0]<br>0x0000000000000000|- rs1_val==4 and rs2_val==2<br>                                                                                                                                                                                                                                |[0x80004e50]:mulhu<br> [0x80004e54]:sd<br> |
| 500|[0x8000afa8]<br>0x0000000000000001|- rs1_val==4 and rs2_val==6148914691236517204<br>                                                                                                                                                                                                              |[0x80004e7c]:mulhu<br> [0x80004e80]:sd<br> |
| 501|[0x8000afb0]<br>0x0000000000000002|- rs1_val==4 and rs2_val==12297829382473034409<br>                                                                                                                                                                                                             |[0x80004ea8]:mulhu<br> [0x80004eac]:sd<br> |
| 502|[0x8000afb8]<br>0x0000000000000000|- rs1_val==4 and rs2_val==4<br>                                                                                                                                                                                                                                |[0x80004eb8]:mulhu<br> [0x80004ebc]:sd<br> |
| 503|[0x8000afc0]<br>0x0000000000000000|- rs1_val==4 and rs2_val==3689348814741910322<br>                                                                                                                                                                                                              |[0x80004ee4]:mulhu<br> [0x80004ee8]:sd<br> |
| 504|[0x8000afc8]<br>0x0000000000000001|- rs1_val==4 and rs2_val==7378697629483820645<br>                                                                                                                                                                                                              |[0x80004f10]:mulhu<br> [0x80004f14]:sd<br> |
| 505|[0x8000afd0]<br>0x0000000000000000|- rs1_val==4 and rs2_val==3037000498<br>                                                                                                                                                                                                                       |[0x80004f2c]:mulhu<br> [0x80004f30]:sd<br> |
| 506|[0x8000afd8]<br>0x0000000000000000|- rs1_val==4 and rs2_val==4294967295<br>                                                                                                                                                                                                                       |[0x80004f44]:mulhu<br> [0x80004f48]:sd<br> |
| 507|[0x8000afe0]<br>0x0000000000000001|- rs1_val==4 and rs2_val==6148914691236517206<br>                                                                                                                                                                                                              |[0x80004f70]:mulhu<br> [0x80004f74]:sd<br> |
| 508|[0x8000afe8]<br>0x0000000000000002|- rs1_val==4 and rs2_val==12297829382473034411<br>                                                                                                                                                                                                             |[0x80004f9c]:mulhu<br> [0x80004fa0]:sd<br> |
| 509|[0x8000aff0]<br>0x0000000000000000|- rs1_val==4 and rs2_val==6<br>                                                                                                                                                                                                                                |[0x80004fac]:mulhu<br> [0x80004fb0]:sd<br> |
| 510|[0x8000aff8]<br>0x0000000000000000|- rs1_val==4 and rs2_val==3689348814741910324<br>                                                                                                                                                                                                              |[0x80004fd8]:mulhu<br> [0x80004fdc]:sd<br> |
| 511|[0x8000b000]<br>0x0000000000000001|- rs1_val==4 and rs2_val==7378697629483820647<br>                                                                                                                                                                                                              |[0x80005004]:mulhu<br> [0x80005008]:sd<br> |
| 512|[0x8000b008]<br>0x0000000000000000|- rs1_val==4 and rs2_val==3037000500<br>                                                                                                                                                                                                                       |[0x80005020]:mulhu<br> [0x80005024]:sd<br> |
| 513|[0x8000b010]<br>0x0000000000000000|- rs1_val==4 and rs2_val==1<br>                                                                                                                                                                                                                                |[0x80005030]:mulhu<br> [0x80005034]:sd<br> |
| 514|[0x8000b018]<br>0x0000000000000000|- rs1_val==4 and rs2_val==4294967297<br>                                                                                                                                                                                                                       |[0x80005048]:mulhu<br> [0x8000504c]:sd<br> |
| 515|[0x8000b020]<br>0x0000000000000000|- rs1_val==3689348814741910322 and rs2_val==3<br>                                                                                                                                                                                                              |[0x80005074]:mulhu<br> [0x80005078]:sd<br> |
| 516|[0x8000b028]<br>0x1111111111111110|- rs1_val==3689348814741910322 and rs2_val==6148914691236517205<br>                                                                                                                                                                                            |[0x800050bc]:mulhu<br> [0x800050c0]:sd<br> |
| 517|[0x8000b030]<br>0x2222222222222221|- rs1_val==3689348814741910322 and rs2_val==12297829382473034410<br>                                                                                                                                                                                           |[0x80005104]:mulhu<br> [0x80005108]:sd<br> |
| 518|[0x8000b038]<br>0x0000000000000000|- rs1_val==3689348814741910322 and rs2_val==5<br>                                                                                                                                                                                                              |[0x80005130]:mulhu<br> [0x80005134]:sd<br> |
| 519|[0x8000b040]<br>0x0a3d70a3d70a3d70|- rs1_val==3689348814741910322 and rs2_val==3689348814741910323<br>                                                                                                                                                                                            |[0x80005178]:mulhu<br> [0x8000517c]:sd<br> |
| 520|[0x8000b048]<br>0x147ae147ae147ae0|- rs1_val==3689348814741910322 and rs2_val==7378697629483820646<br>                                                                                                                                                                                            |[0x800051c0]:mulhu<br> [0x800051c4]:sd<br> |
| 521|[0x8000b050]<br>0x00000000243430a3|- rs1_val==3689348814741910322 and rs2_val==3037000499<br>                                                                                                                                                                                                     |[0x800051f8]:mulhu<br> [0x800051fc]:sd<br> |
| 522|[0x8000b058]<br>0x0000000000000000|- rs1_val==3689348814741910322 and rs2_val==0<br>                                                                                                                                                                                                              |[0x80005224]:mulhu<br> [0x80005228]:sd<br> |
| 523|[0x8000b060]<br>0x0000000033333333|- rs1_val==3689348814741910322 and rs2_val==4294967296<br>                                                                                                                                                                                                     |[0x80005254]:mulhu<br> [0x80005258]:sd<br> |
| 524|[0x8000b068]<br>0x0000000000000000|- rs1_val==3689348814741910322 and rs2_val==2<br>                                                                                                                                                                                                              |[0x80005280]:mulhu<br> [0x80005284]:sd<br> |
| 525|[0x8000b070]<br>0x1111111111111110|- rs1_val==3689348814741910322 and rs2_val==6148914691236517204<br>                                                                                                                                                                                            |[0x800052c8]:mulhu<br> [0x800052cc]:sd<br> |
| 526|[0x8000b078]<br>0x2222222222222221|- rs1_val==3689348814741910322 and rs2_val==12297829382473034409<br>                                                                                                                                                                                           |[0x80005310]:mulhu<br> [0x80005314]:sd<br> |
| 527|[0x8000b080]<br>0x0000000000000000|- rs1_val==3689348814741910322 and rs2_val==4<br>                                                                                                                                                                                                              |[0x8000533c]:mulhu<br> [0x80005340]:sd<br> |
| 528|[0x8000b088]<br>0x0a3d70a3d70a3d70|- rs1_val==3689348814741910322 and rs2_val==3689348814741910322<br>                                                                                                                                                                                            |[0x80005384]:mulhu<br> [0x80005388]:sd<br> |
| 529|[0x8000b090]<br>0x147ae147ae147ae0|- rs1_val==3689348814741910322 and rs2_val==7378697629483820645<br>                                                                                                                                                                                            |[0x800053cc]:mulhu<br> [0x800053d0]:sd<br> |
| 530|[0x8000b098]<br>0x00000000243430a3|- rs1_val==3689348814741910322 and rs2_val==3037000498<br>                                                                                                                                                                                                     |[0x80005404]:mulhu<br> [0x80005408]:sd<br> |
| 531|[0x8000b0a0]<br>0x0000000033333332|- rs1_val==3689348814741910322 and rs2_val==4294967295<br>                                                                                                                                                                                                     |[0x80005440]:mulhu<br> [0x80005444]:sd<br> |
| 532|[0x8000b0a8]<br>0x1111111111111110|- rs1_val==3689348814741910322 and rs2_val==6148914691236517206<br>                                                                                                                                                                                            |[0x80005488]:mulhu<br> [0x8000548c]:sd<br> |
| 533|[0x8000b0b0]<br>0x2222222222222221|- rs1_val==3689348814741910322 and rs2_val==12297829382473034411<br>                                                                                                                                                                                           |[0x800054d0]:mulhu<br> [0x800054d4]:sd<br> |
| 534|[0x8000b0b8]<br>0x0000000000000001|- rs1_val==3689348814741910322 and rs2_val==6<br>                                                                                                                                                                                                              |[0x800054fc]:mulhu<br> [0x80005500]:sd<br> |
| 535|[0x8000b0c0]<br>0x0a3d70a3d70a3d70|- rs1_val==3689348814741910322 and rs2_val==3689348814741910324<br>                                                                                                                                                                                            |[0x80005544]:mulhu<br> [0x80005548]:sd<br> |
| 536|[0x8000b0c8]<br>0x147ae147ae147ae0|- rs1_val==3689348814741910322 and rs2_val==7378697629483820647<br>                                                                                                                                                                                            |[0x8000558c]:mulhu<br> [0x80005590]:sd<br> |
| 537|[0x8000b0d0]<br>0x00000000243430a3|- rs1_val==3689348814741910322 and rs2_val==3037000500<br>                                                                                                                                                                                                     |[0x800055c4]:mulhu<br> [0x800055c8]:sd<br> |
| 538|[0x8000b0d8]<br>0x0000000000000000|- rs1_val==3689348814741910322 and rs2_val==1<br>                                                                                                                                                                                                              |[0x800055f0]:mulhu<br> [0x800055f4]:sd<br> |
| 539|[0x8000b0e0]<br>0x0000000033333333|- rs1_val==3689348814741910322 and rs2_val==4294967297<br>                                                                                                                                                                                                     |[0x80005624]:mulhu<br> [0x80005628]:sd<br> |
| 540|[0x8000b0e8]<br>0x0000000000000001|- rs1_val==7378697629483820645 and rs2_val==3<br>                                                                                                                                                                                                              |[0x80005650]:mulhu<br> [0x80005654]:sd<br> |
| 541|[0x8000b0f0]<br>0x2222222222222221|- rs1_val==7378697629483820645 and rs2_val==6148914691236517205<br>                                                                                                                                                                                            |[0x80005698]:mulhu<br> [0x8000569c]:sd<br> |
| 542|[0x8000b0f8]<br>0x4444444444444443|- rs1_val==7378697629483820645 and rs2_val==12297829382473034410<br>                                                                                                                                                                                           |[0x800056e0]:mulhu<br> [0x800056e4]:sd<br> |
| 543|[0x8000b100]<br>0x0000000000000001|- rs1_val==7378697629483820645 and rs2_val==5<br>                                                                                                                                                                                                              |[0x8000570c]:mulhu<br> [0x80005710]:sd<br> |
| 544|[0x8000b108]<br>0x147ae147ae147ae0|- rs1_val==7378697629483820645 and rs2_val==3689348814741910323<br>                                                                                                                                                                                            |[0x80005754]:mulhu<br> [0x80005758]:sd<br> |
| 545|[0x8000b110]<br>0x28f5c28f5c28f5c1|- rs1_val==7378697629483820645 and rs2_val==7378697629483820646<br>                                                                                                                                                                                            |[0x8000579c]:mulhu<br> [0x800057a0]:sd<br> |
| 546|[0x8000b118]<br>0x0000000048686147|- rs1_val==7378697629483820645 and rs2_val==3037000499<br>                                                                                                                                                                                                     |[0x800057d4]:mulhu<br> [0x800057d8]:sd<br> |
| 547|[0x8000b120]<br>0x0000000066666666|- rs1_val==7378697629483820645 and rs2_val==4294967296<br>                                                                                                                                                                                                     |[0x80005804]:mulhu<br> [0x80005808]:sd<br> |
| 548|[0x8000b128]<br>0x0000000000000000|- rs1_val==7378697629483820645 and rs2_val==2<br>                                                                                                                                                                                                              |[0x80005830]:mulhu<br> [0x80005834]:sd<br> |
| 549|[0x8000b130]<br>0x2222222222222221|- rs1_val==7378697629483820645 and rs2_val==6148914691236517204<br>                                                                                                                                                                                            |[0x80005878]:mulhu<br> [0x8000587c]:sd<br> |
| 550|[0x8000b138]<br>0x4444444444444442|- rs1_val==7378697629483820645 and rs2_val==12297829382473034409<br>                                                                                                                                                                                           |[0x800058c0]:mulhu<br> [0x800058c4]:sd<br> |
| 551|[0x8000b140]<br>0x0000000000000001|- rs1_val==7378697629483820645 and rs2_val==4<br>                                                                                                                                                                                                              |[0x800058ec]:mulhu<br> [0x800058f0]:sd<br> |
| 552|[0x8000b148]<br>0x147ae147ae147ae0|- rs1_val==7378697629483820645 and rs2_val==3689348814741910322<br>                                                                                                                                                                                            |[0x80005934]:mulhu<br> [0x80005938]:sd<br> |
| 553|[0x8000b150]<br>0x28f5c28f5c28f5c1|- rs1_val==7378697629483820645 and rs2_val==7378697629483820645<br>                                                                                                                                                                                            |[0x8000597c]:mulhu<br> [0x80005980]:sd<br> |
| 554|[0x8000b158]<br>0x0000000048686147|- rs1_val==7378697629483820645 and rs2_val==3037000498<br>                                                                                                                                                                                                     |[0x800059b4]:mulhu<br> [0x800059b8]:sd<br> |
| 555|[0x8000b160]<br>0x0000000066666665|- rs1_val==7378697629483820645 and rs2_val==4294967295<br>                                                                                                                                                                                                     |[0x800059e8]:mulhu<br> [0x800059ec]:sd<br> |
| 556|[0x8000b168]<br>0x2222222222222221|- rs1_val==7378697629483820645 and rs2_val==6148914691236517206<br>                                                                                                                                                                                            |[0x80005a30]:mulhu<br> [0x80005a34]:sd<br> |
| 557|[0x8000b170]<br>0x4444444444444443|- rs1_val==7378697629483820645 and rs2_val==12297829382473034411<br>                                                                                                                                                                                           |[0x80005a78]:mulhu<br> [0x80005a7c]:sd<br> |
| 558|[0x8000b178]<br>0x0000000000000002|- rs1_val==7378697629483820645 and rs2_val==6<br>                                                                                                                                                                                                              |[0x80005aa4]:mulhu<br> [0x80005aa8]:sd<br> |
| 559|[0x8000b180]<br>0x147ae147ae147ae1|- rs1_val==7378697629483820645 and rs2_val==3689348814741910324<br>                                                                                                                                                                                            |[0x80005aec]:mulhu<br> [0x80005af0]:sd<br> |
| 560|[0x8000b188]<br>0x28f5c28f5c28f5c2|- rs1_val==7378697629483820645 and rs2_val==7378697629483820647<br>                                                                                                                                                                                            |[0x80005b34]:mulhu<br> [0x80005b38]:sd<br> |
| 561|[0x8000b190]<br>0x0000000048686147|- rs1_val==7378697629483820645 and rs2_val==3037000500<br>                                                                                                                                                                                                     |[0x80005b6c]:mulhu<br> [0x80005b70]:sd<br> |
| 562|[0x8000b198]<br>0x0000000000000000|- rs1_val==7378697629483820645 and rs2_val==1<br>                                                                                                                                                                                                              |[0x80005b98]:mulhu<br> [0x80005b9c]:sd<br> |
| 563|[0x8000b1a0]<br>0x0000000066666666|- rs1_val==7378697629483820645 and rs2_val==4294967297<br>                                                                                                                                                                                                     |[0x80005bcc]:mulhu<br> [0x80005bd0]:sd<br> |
| 564|[0x8000b1a8]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==3<br>                                                                                                                                                                                                                       |[0x80005be8]:mulhu<br> [0x80005bec]:sd<br> |
| 565|[0x8000b1b0]<br>0x000000003c56fbbb|- rs1_val==3037000498 and rs2_val==6148914691236517205<br>                                                                                                                                                                                                     |[0x80005c20]:mulhu<br> [0x80005c24]:sd<br> |
| 566|[0x8000b1b8]<br>0x0000000078adf776|- rs1_val==3037000498 and rs2_val==12297829382473034410<br>                                                                                                                                                                                                    |[0x80005c58]:mulhu<br> [0x80005c5c]:sd<br> |
| 567|[0x8000b1c0]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==5<br>                                                                                                                                                                                                                       |[0x80005c74]:mulhu<br> [0x80005c78]:sd<br> |
| 568|[0x8000b1c8]<br>0x00000000243430a3|- rs1_val==3037000498 and rs2_val==3689348814741910323<br>                                                                                                                                                                                                     |[0x80005cac]:mulhu<br> [0x80005cb0]:sd<br> |
| 569|[0x8000b1d0]<br>0x0000000048686147|- rs1_val==3037000498 and rs2_val==7378697629483820646<br>                                                                                                                                                                                                     |[0x80005ce4]:mulhu<br> [0x80005ce8]:sd<br> |
| 570|[0x8000b1d8]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==3037000499<br>                                                                                                                                                                                                              |[0x80005d0c]:mulhu<br> [0x80005d10]:sd<br> |
| 571|[0x8000b1e0]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==0<br>                                                                                                                                                                                                                       |[0x80005d28]:mulhu<br> [0x80005d2c]:sd<br> |
| 572|[0x8000b1e8]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==4294967296<br>                                                                                                                                                                                                              |[0x80005d48]:mulhu<br> [0x80005d4c]:sd<br> |
| 573|[0x8000b1f0]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==2<br>                                                                                                                                                                                                                       |[0x80005d64]:mulhu<br> [0x80005d68]:sd<br> |
| 574|[0x8000b1f8]<br>0x000000003c56fbbb|- rs1_val==3037000498 and rs2_val==6148914691236517204<br>                                                                                                                                                                                                     |[0x80005d9c]:mulhu<br> [0x80005da0]:sd<br> |
| 575|[0x8000b200]<br>0x0000000078adf776|- rs1_val==3037000498 and rs2_val==12297829382473034409<br>                                                                                                                                                                                                    |[0x80005dd4]:mulhu<br> [0x80005dd8]:sd<br> |
| 576|[0x8000b208]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==4<br>                                                                                                                                                                                                                       |[0x80005df0]:mulhu<br> [0x80005df4]:sd<br> |
| 577|[0x8000b210]<br>0x00000000243430a3|- rs1_val==3037000498 and rs2_val==3689348814741910322<br>                                                                                                                                                                                                     |[0x80005e28]:mulhu<br> [0x80005e2c]:sd<br> |
| 578|[0x8000b218]<br>0x0000000048686147|- rs1_val==3037000498 and rs2_val==7378697629483820645<br>                                                                                                                                                                                                     |[0x80005e60]:mulhu<br> [0x80005e64]:sd<br> |
| 579|[0x8000b220]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==3037000498<br>                                                                                                                                                                                                              |[0x80005e88]:mulhu<br> [0x80005e8c]:sd<br> |
| 580|[0x8000b228]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==4294967295<br>                                                                                                                                                                                                              |[0x80005eac]:mulhu<br> [0x80005eb0]:sd<br> |
| 581|[0x8000b230]<br>0x000000003c56fbbb|- rs1_val==3037000498 and rs2_val==6148914691236517206<br>                                                                                                                                                                                                     |[0x80005ee4]:mulhu<br> [0x80005ee8]:sd<br> |
| 582|[0x8000b238]<br>0x0000000078adf776|- rs1_val==3037000498 and rs2_val==12297829382473034411<br>                                                                                                                                                                                                    |[0x80005f1c]:mulhu<br> [0x80005f20]:sd<br> |
| 583|[0x8000b240]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==6<br>                                                                                                                                                                                                                       |[0x80005f38]:mulhu<br> [0x80005f3c]:sd<br> |
| 584|[0x8000b248]<br>0x00000000243430a3|- rs1_val==3037000498 and rs2_val==3689348814741910324<br>                                                                                                                                                                                                     |[0x80005f70]:mulhu<br> [0x80005f74]:sd<br> |
| 585|[0x8000b250]<br>0x0000000048686147|- rs1_val==3037000498 and rs2_val==7378697629483820647<br>                                                                                                                                                                                                     |[0x80005fa8]:mulhu<br> [0x80005fac]:sd<br> |
| 586|[0x8000b258]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==3037000500<br>                                                                                                                                                                                                              |[0x80005fd0]:mulhu<br> [0x80005fd4]:sd<br> |
| 587|[0x8000b260]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==1<br>                                                                                                                                                                                                                       |[0x80005fec]:mulhu<br> [0x80005ff0]:sd<br> |
| 588|[0x8000b268]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==4294967297<br>                                                                                                                                                                                                              |[0x80006010]:mulhu<br> [0x80006014]:sd<br> |
| 589|[0x8000b270]<br>0x0000000000000000|- rs1_val==4294967295 and rs2_val==3<br>                                                                                                                                                                                                                       |[0x80006028]:mulhu<br> [0x8000602c]:sd<br> |
| 590|[0x8000b278]<br>0x0000000055555554|- rs1_val==4294967295 and rs2_val==6148914691236517205<br>                                                                                                                                                                                                     |[0x8000605c]:mulhu<br> [0x80006060]:sd<br> |
| 591|[0x8000b280]<br>0x00000000aaaaaaa9|- rs1_val==4294967295 and rs2_val==12297829382473034410<br>                                                                                                                                                                                                    |[0x80006090]:mulhu<br> [0x80006094]:sd<br> |
| 592|[0x8000b288]<br>0x0000000000000000|- rs1_val==4294967295 and rs2_val==5<br>                                                                                                                                                                                                                       |[0x800060a8]:mulhu<br> [0x800060ac]:sd<br> |
| 593|[0x8000b290]<br>0x0000000033333332|- rs1_val==4294967295 and rs2_val==3689348814741910323<br>                                                                                                                                                                                                     |[0x800060dc]:mulhu<br> [0x800060e0]:sd<br> |
| 594|[0x8000b298]<br>0x0000000066666665|- rs1_val==4294967295 and rs2_val==7378697629483820646<br>                                                                                                                                                                                                     |[0x80006110]:mulhu<br> [0x80006114]:sd<br> |
| 595|[0x8000b2a0]<br>0x0000000000000000|- rs1_val==4294967295 and rs2_val==3037000499<br>                                                                                                                                                                                                              |[0x80006134]:mulhu<br> [0x80006138]:sd<br> |
| 596|[0x8000b2a8]<br>0x0000000000000000|- rs1_val==4294967295 and rs2_val==0<br>                                                                                                                                                                                                                       |[0x8000614c]:mulhu<br> [0x80006150]:sd<br> |
| 597|[0x8000b2b0]<br>0x0000000000000000|- rs1_val==4294967295 and rs2_val==4294967296<br>                                                                                                                                                                                                              |[0x80006168]:mulhu<br> [0x8000616c]:sd<br> |
| 598|[0x8000b2b8]<br>0x0000000000000000|- rs1_val==4294967295 and rs2_val==2<br>                                                                                                                                                                                                                       |[0x80006180]:mulhu<br> [0x80006184]:sd<br> |
| 599|[0x8000b2c0]<br>0x0000000055555554|- rs1_val==4294967295 and rs2_val==6148914691236517204<br>                                                                                                                                                                                                     |[0x800061b4]:mulhu<br> [0x800061b8]:sd<br> |
| 600|[0x8000b2c8]<br>0x00000000aaaaaaa9|- rs1_val==4294967295 and rs2_val==12297829382473034409<br>                                                                                                                                                                                                    |[0x800061e8]:mulhu<br> [0x800061ec]:sd<br> |
| 601|[0x8000b2d0]<br>0x0000000000000000|- rs1_val==4294967295 and rs2_val==4<br>                                                                                                                                                                                                                       |[0x80006200]:mulhu<br> [0x80006204]:sd<br> |
| 602|[0x8000b2d8]<br>0x0000000033333332|- rs1_val==4294967295 and rs2_val==3689348814741910322<br>                                                                                                                                                                                                     |[0x80006234]:mulhu<br> [0x80006238]:sd<br> |
| 603|[0x8000b2e0]<br>0x0000000066666665|- rs1_val==4294967295 and rs2_val==7378697629483820645<br>                                                                                                                                                                                                     |[0x80006268]:mulhu<br> [0x8000626c]:sd<br> |
| 604|[0x8000b2e8]<br>0x0000000000000000|- rs1_val==4294967295 and rs2_val==3037000498<br>                                                                                                                                                                                                              |[0x8000628c]:mulhu<br> [0x80006290]:sd<br> |
| 605|[0x8000b2f0]<br>0x0000000000000000|- rs1_val==4294967295 and rs2_val==4294967295<br>                                                                                                                                                                                                              |[0x800062ac]:mulhu<br> [0x800062b0]:sd<br> |
| 606|[0x8000b2f8]<br>0x0000000055555555|- rs1_val==4294967295 and rs2_val==6148914691236517206<br>                                                                                                                                                                                                     |[0x800062e0]:mulhu<br> [0x800062e4]:sd<br> |
| 607|[0x8000b300]<br>0x00000000aaaaaaaa|- rs1_val==4294967295 and rs2_val==12297829382473034411<br>                                                                                                                                                                                                    |[0x80006314]:mulhu<br> [0x80006318]:sd<br> |
| 608|[0x8000b308]<br>0x0000000000000000|- rs1_val==4294967295 and rs2_val==6<br>                                                                                                                                                                                                                       |[0x8000632c]:mulhu<br> [0x80006330]:sd<br> |
| 609|[0x8000b310]<br>0x0000000033333333|- rs1_val==4294967295 and rs2_val==3689348814741910324<br>                                                                                                                                                                                                     |[0x80006360]:mulhu<br> [0x80006364]:sd<br> |
| 610|[0x8000b318]<br>0x0000000066666666|- rs1_val==4294967295 and rs2_val==7378697629483820647<br>                                                                                                                                                                                                     |[0x80006394]:mulhu<br> [0x80006398]:sd<br> |
| 611|[0x8000b320]<br>0x0000000000000000|- rs1_val==4294967295 and rs2_val==3037000500<br>                                                                                                                                                                                                              |[0x800063b8]:mulhu<br> [0x800063bc]:sd<br> |
| 612|[0x8000b328]<br>0x0000000000000000|- rs1_val==4294967295 and rs2_val==1<br>                                                                                                                                                                                                                       |[0x800063d0]:mulhu<br> [0x800063d4]:sd<br> |
| 613|[0x8000b330]<br>0x0000000000000000|- rs1_val==4294967295 and rs2_val==4294967297<br>                                                                                                                                                                                                              |[0x800063f0]:mulhu<br> [0x800063f4]:sd<br> |
| 614|[0x8000b338]<br>0x0000000000000001|- rs1_val==6148914691236517206 and rs2_val==3<br>                                                                                                                                                                                                              |[0x8000641c]:mulhu<br> [0x80006420]:sd<br> |
| 615|[0x8000b340]<br>0x1c71c71c71c71c71|- rs1_val==6148914691236517206 and rs2_val==6148914691236517205<br>                                                                                                                                                                                            |[0x80006464]:mulhu<br> [0x80006468]:sd<br> |
| 616|[0x8000b348]<br>0x38e38e38e38e38e3|- rs1_val==6148914691236517206 and rs2_val==12297829382473034410<br>                                                                                                                                                                                           |[0x800064ac]:mulhu<br> [0x800064b0]:sd<br> |
| 617|[0x8000b350]<br>0x0000000000000001|- rs1_val==6148914691236517206 and rs2_val==5<br>                                                                                                                                                                                                              |[0x800064d8]:mulhu<br> [0x800064dc]:sd<br> |
| 618|[0x8000b358]<br>0x1111111111111111|- rs1_val==6148914691236517206 and rs2_val==3689348814741910323<br>                                                                                                                                                                                            |[0x80006520]:mulhu<br> [0x80006524]:sd<br> |
| 619|[0x8000b360]<br>0x2222222222222222|- rs1_val==6148914691236517206 and rs2_val==7378697629483820646<br>                                                                                                                                                                                            |[0x80006568]:mulhu<br> [0x8000656c]:sd<br> |
| 620|[0x8000b368]<br>0x000000003c56fbbb|- rs1_val==6148914691236517206 and rs2_val==3037000499<br>                                                                                                                                                                                                     |[0x800065a0]:mulhu<br> [0x800065a4]:sd<br> |
| 621|[0x8000b370]<br>0x0000000000000000|- rs1_val==6148914691236517206 and rs2_val==0<br>                                                                                                                                                                                                              |[0x800065cc]:mulhu<br> [0x800065d0]:sd<br> |
| 622|[0x8000b378]<br>0x0000000055555555|- rs1_val==6148914691236517206 and rs2_val==4294967296<br>                                                                                                                                                                                                     |[0x800065fc]:mulhu<br> [0x80006600]:sd<br> |
| 623|[0x8000b380]<br>0x0000000000000000|- rs1_val==6148914691236517206 and rs2_val==2<br>                                                                                                                                                                                                              |[0x80006628]:mulhu<br> [0x8000662c]:sd<br> |
| 624|[0x8000b388]<br>0x1c71c71c71c71c71|- rs1_val==6148914691236517206 and rs2_val==6148914691236517204<br>                                                                                                                                                                                            |[0x80006670]:mulhu<br> [0x80006674]:sd<br> |
| 625|[0x8000b390]<br>0x38e38e38e38e38e3|- rs1_val==6148914691236517206 and rs2_val==12297829382473034409<br>                                                                                                                                                                                           |[0x800066b8]:mulhu<br> [0x800066bc]:sd<br> |
| 626|[0x8000b398]<br>0x0000000000000001|- rs1_val==6148914691236517206 and rs2_val==4<br>                                                                                                                                                                                                              |[0x800066e4]:mulhu<br> [0x800066e8]:sd<br> |
| 627|[0x8000b3a0]<br>0x1111111111111110|- rs1_val==6148914691236517206 and rs2_val==3689348814741910322<br>                                                                                                                                                                                            |[0x8000672c]:mulhu<br> [0x80006730]:sd<br> |
| 628|[0x8000b3a8]<br>0x2222222222222221|- rs1_val==6148914691236517206 and rs2_val==7378697629483820645<br>                                                                                                                                                                                            |[0x80006774]:mulhu<br> [0x80006778]:sd<br> |
| 629|[0x8000b3b0]<br>0x000000003c56fbbb|- rs1_val==6148914691236517206 and rs2_val==3037000498<br>                                                                                                                                                                                                     |[0x800067ac]:mulhu<br> [0x800067b0]:sd<br> |
| 630|[0x8000b3b8]<br>0x0000000055555555|- rs1_val==6148914691236517206 and rs2_val==4294967295<br>                                                                                                                                                                                                     |[0x800067e0]:mulhu<br> [0x800067e4]:sd<br> |
| 631|[0x8000b3c0]<br>0x1c71c71c71c71c72|- rs1_val==6148914691236517206 and rs2_val==6148914691236517206<br>                                                                                                                                                                                            |[0x80006828]:mulhu<br> [0x8000682c]:sd<br> |
| 632|[0x8000b3c8]<br>0x38e38e38e38e38e4|- rs1_val==6148914691236517206 and rs2_val==12297829382473034411<br>                                                                                                                                                                                           |[0x80006870]:mulhu<br> [0x80006874]:sd<br> |
| 633|[0x8000b3d0]<br>0x0000000000000002|- rs1_val==6148914691236517206 and rs2_val==6<br>                                                                                                                                                                                                              |[0x8000689c]:mulhu<br> [0x800068a0]:sd<br> |
| 634|[0x8000b3d8]<br>0x1111111111111111|- rs1_val==6148914691236517206 and rs2_val==3689348814741910324<br>                                                                                                                                                                                            |[0x800068e4]:mulhu<br> [0x800068e8]:sd<br> |
| 635|[0x8000b3e0]<br>0x2222222222222222|- rs1_val==6148914691236517206 and rs2_val==7378697629483820647<br>                                                                                                                                                                                            |[0x8000692c]:mulhu<br> [0x80006930]:sd<br> |
| 636|[0x8000b3e8]<br>0x000000003c56fbbc|- rs1_val==6148914691236517206 and rs2_val==3037000500<br>                                                                                                                                                                                                     |[0x80006964]:mulhu<br> [0x80006968]:sd<br> |
| 637|[0x8000b3f0]<br>0x0000000000000000|- rs1_val==6148914691236517206 and rs2_val==1<br>                                                                                                                                                                                                              |[0x80006990]:mulhu<br> [0x80006994]:sd<br> |
| 638|[0x8000b3f8]<br>0x0000000055555555|- rs1_val==6148914691236517206 and rs2_val==4294967297<br>                                                                                                                                                                                                     |[0x800069c4]:mulhu<br> [0x800069c8]:sd<br> |
| 639|[0x8000b400]<br>0x0000000000000002|- rs1_val==12297829382473034411 and rs2_val==3<br>                                                                                                                                                                                                             |[0x800069f0]:mulhu<br> [0x800069f4]:sd<br> |
| 640|[0x8000b408]<br>0x38e38e38e38e38e3|- rs1_val==12297829382473034411 and rs2_val==6148914691236517205<br>                                                                                                                                                                                           |[0x80006a38]:mulhu<br> [0x80006a3c]:sd<br> |
| 641|[0x8000b410]<br>0x71c71c71c71c71c6|- rs1_val==12297829382473034411 and rs2_val==12297829382473034410<br>                                                                                                                                                                                          |[0x80006a80]:mulhu<br> [0x80006a84]:sd<br> |
| 642|[0x8000b418]<br>0x0000000000000003|- rs1_val==12297829382473034411 and rs2_val==5<br>                                                                                                                                                                                                             |[0x80006aac]:mulhu<br> [0x80006ab0]:sd<br> |
| 643|[0x8000b420]<br>0x2222222222222222|- rs1_val==12297829382473034411 and rs2_val==3689348814741910323<br>                                                                                                                                                                                           |[0x80006af4]:mulhu<br> [0x80006af8]:sd<br> |
| 644|[0x8000b428]<br>0x4444444444444444|- rs1_val==12297829382473034411 and rs2_val==7378697629483820646<br>                                                                                                                                                                                           |[0x80006b3c]:mulhu<br> [0x80006b40]:sd<br> |
| 645|[0x8000b430]<br>0x0000000078adf777|- rs1_val==12297829382473034411 and rs2_val==3037000499<br>                                                                                                                                                                                                    |[0x80006b74]:mulhu<br> [0x80006b78]:sd<br> |
| 646|[0x8000b438]<br>0x0000000000000000|- rs1_val==12297829382473034411 and rs2_val==0<br>                                                                                                                                                                                                             |[0x80006ba0]:mulhu<br> [0x80006ba4]:sd<br> |
| 647|[0x8000b440]<br>0x00000000aaaaaaaa|- rs1_val==12297829382473034411 and rs2_val==4294967296<br>                                                                                                                                                                                                    |[0x80006bd0]:mulhu<br> [0x80006bd4]:sd<br> |
| 648|[0x8000b448]<br>0x0000000000000001|- rs1_val==12297829382473034411 and rs2_val==2<br>                                                                                                                                                                                                             |[0x80006bfc]:mulhu<br> [0x80006c00]:sd<br> |
| 649|[0x8000b450]<br>0x38e38e38e38e38e2|- rs1_val==12297829382473034411 and rs2_val==6148914691236517204<br>                                                                                                                                                                                           |[0x80006c44]:mulhu<br> [0x80006c48]:sd<br> |
| 650|[0x8000b458]<br>0x71c71c71c71c71c6|- rs1_val==12297829382473034411 and rs2_val==12297829382473034409<br>                                                                                                                                                                                          |[0x80006c8c]:mulhu<br> [0x80006c90]:sd<br> |
| 651|[0x8000b460]<br>0x0000000000000002|- rs1_val==12297829382473034411 and rs2_val==4<br>                                                                                                                                                                                                             |[0x80006cb8]:mulhu<br> [0x80006cbc]:sd<br> |
| 652|[0x8000b468]<br>0x2222222222222221|- rs1_val==12297829382473034411 and rs2_val==3689348814741910322<br>                                                                                                                                                                                           |[0x80006d00]:mulhu<br> [0x80006d04]:sd<br> |
| 653|[0x8000b470]<br>0x4444444444444443|- rs1_val==12297829382473034411 and rs2_val==7378697629483820645<br>                                                                                                                                                                                           |[0x80006d48]:mulhu<br> [0x80006d4c]:sd<br> |
| 654|[0x8000b478]<br>0x0000000078adf776|- rs1_val==12297829382473034411 and rs2_val==3037000498<br>                                                                                                                                                                                                    |[0x80006d80]:mulhu<br> [0x80006d84]:sd<br> |
| 655|[0x8000b480]<br>0x00000000aaaaaaaa|- rs1_val==12297829382473034411 and rs2_val==4294967295<br>                                                                                                                                                                                                    |[0x80006db4]:mulhu<br> [0x80006db8]:sd<br> |
| 656|[0x8000b488]<br>0x38e38e38e38e38e4|- rs1_val==12297829382473034411 and rs2_val==6148914691236517206<br>                                                                                                                                                                                           |[0x80006dfc]:mulhu<br> [0x80006e00]:sd<br> |
| 657|[0x8000b490]<br>0x71c71c71c71c71c7|- rs1_val==12297829382473034411 and rs2_val==12297829382473034411<br>                                                                                                                                                                                          |[0x80006e44]:mulhu<br> [0x80006e48]:sd<br> |
| 658|[0x8000b498]<br>0x0000000000000004|- rs1_val==12297829382473034411 and rs2_val==6<br>                                                                                                                                                                                                             |[0x80006e70]:mulhu<br> [0x80006e74]:sd<br> |
| 659|[0x8000b4a0]<br>0x2222222222222222|- rs1_val==12297829382473034411 and rs2_val==3689348814741910324<br>                                                                                                                                                                                           |[0x80006eb8]:mulhu<br> [0x80006ebc]:sd<br> |
| 660|[0x8000b4a8]<br>0x4444444444444444|- rs1_val==12297829382473034411 and rs2_val==7378697629483820647<br>                                                                                                                                                                                           |[0x80006f00]:mulhu<br> [0x80006f04]:sd<br> |
| 661|[0x8000b4b0]<br>0x0000000078adf778|- rs1_val==12297829382473034411 and rs2_val==3037000500<br>                                                                                                                                                                                                    |[0x80006f38]:mulhu<br> [0x80006f3c]:sd<br> |
| 662|[0x8000b4b8]<br>0x0000000000000000|- rs1_val==12297829382473034411 and rs2_val==1<br>                                                                                                                                                                                                             |[0x80006f64]:mulhu<br> [0x80006f68]:sd<br> |
| 663|[0x8000b4c0]<br>0x00000000aaaaaaab|- rs1_val==12297829382473034411 and rs2_val==4294967297<br>                                                                                                                                                                                                    |[0x80006f98]:mulhu<br> [0x80006f9c]:sd<br> |
| 664|[0x8000b4c8]<br>0x0000000000000000|- rs1_val==6 and rs2_val==3<br>                                                                                                                                                                                                                                |[0x80006fa8]:mulhu<br> [0x80006fac]:sd<br> |
| 665|[0x8000b4d0]<br>0x0000000000000001|- rs1_val==6 and rs2_val==6148914691236517205<br>                                                                                                                                                                                                              |[0x80006fd4]:mulhu<br> [0x80006fd8]:sd<br> |
| 666|[0x8000b4d8]<br>0x0000000000000003|- rs1_val==6 and rs2_val==12297829382473034410<br>                                                                                                                                                                                                             |[0x80007000]:mulhu<br> [0x80007004]:sd<br> |
| 667|[0x8000b4e0]<br>0x0000000000000000|- rs1_val==6 and rs2_val==5<br>                                                                                                                                                                                                                                |[0x80007010]:mulhu<br> [0x80007014]:sd<br> |
| 668|[0x8000b4e8]<br>0x0000000000000001|- rs1_val==6 and rs2_val==3689348814741910323<br>                                                                                                                                                                                                              |[0x8000703c]:mulhu<br> [0x80007040]:sd<br> |
| 669|[0x8000b4f0]<br>0x0000000000000002|- rs1_val==6 and rs2_val==7378697629483820646<br>                                                                                                                                                                                                              |[0x80007068]:mulhu<br> [0x8000706c]:sd<br> |
| 670|[0x8000b4f8]<br>0x0000000000000000|- rs1_val==6 and rs2_val==3037000499<br>                                                                                                                                                                                                                       |[0x80007084]:mulhu<br> [0x80007088]:sd<br> |
| 671|[0x8000b500]<br>0x0000000000000000|- rs1_val==6 and rs2_val==0<br>                                                                                                                                                                                                                                |[0x80007094]:mulhu<br> [0x80007098]:sd<br> |
| 672|[0x8000b508]<br>0x0000000000000000|- rs1_val==6 and rs2_val==4294967296<br>                                                                                                                                                                                                                       |[0x800070a8]:mulhu<br> [0x800070ac]:sd<br> |
| 673|[0x8000b510]<br>0x0000000000000000|- rs1_val==6 and rs2_val==2<br>                                                                                                                                                                                                                                |[0x800070b8]:mulhu<br> [0x800070bc]:sd<br> |
| 674|[0x8000b518]<br>0x0000000000000001|- rs1_val==6 and rs2_val==6148914691236517204<br>                                                                                                                                                                                                              |[0x800070e4]:mulhu<br> [0x800070e8]:sd<br> |
| 675|[0x8000b520]<br>0x0000000000000003|- rs1_val==6 and rs2_val==12297829382473034409<br>                                                                                                                                                                                                             |[0x80007110]:mulhu<br> [0x80007114]:sd<br> |
| 676|[0x8000b528]<br>0x0000000000000001|- rs1_val==6 and rs2_val==3689348814741910322<br>                                                                                                                                                                                                              |[0x8000713c]:mulhu<br> [0x80007140]:sd<br> |
| 677|[0x8000b530]<br>0x0000000000000002|- rs1_val==6 and rs2_val==7378697629483820645<br>                                                                                                                                                                                                              |[0x80007168]:mulhu<br> [0x8000716c]:sd<br> |
| 678|[0x8000b538]<br>0x0000000000000000|- rs1_val==6 and rs2_val==3037000498<br>                                                                                                                                                                                                                       |[0x80007184]:mulhu<br> [0x80007188]:sd<br> |
| 679|[0x8000b540]<br>0x0000000000000000|- rs1_val==6 and rs2_val==4294967295<br>                                                                                                                                                                                                                       |[0x8000719c]:mulhu<br> [0x800071a0]:sd<br> |
| 680|[0x8000b548]<br>0x0000000000000002|- rs1_val==6 and rs2_val==6148914691236517206<br>                                                                                                                                                                                                              |[0x800071c8]:mulhu<br> [0x800071cc]:sd<br> |
| 681|[0x8000b550]<br>0x0000000000000004|- rs1_val==6 and rs2_val==12297829382473034411<br>                                                                                                                                                                                                             |[0x800071f4]:mulhu<br> [0x800071f8]:sd<br> |
| 682|[0x8000b558]<br>0x0000000000000000|- rs1_val==6 and rs2_val==6<br>                                                                                                                                                                                                                                |[0x80007204]:mulhu<br> [0x80007208]:sd<br> |
| 683|[0x8000b560]<br>0x0000000000000001|- rs1_val==6 and rs2_val==3689348814741910324<br>                                                                                                                                                                                                              |[0x80007230]:mulhu<br> [0x80007234]:sd<br> |
| 684|[0x8000b568]<br>0x0000000000000002|- rs1_val==6 and rs2_val==7378697629483820647<br>                                                                                                                                                                                                              |[0x8000725c]:mulhu<br> [0x80007260]:sd<br> |
| 685|[0x8000b570]<br>0x1111111111111111|- rs1_val==3689348814741910324 and rs2_val==6148914691236517205<br>                                                                                                                                                                                            |[0x800072a4]:mulhu<br> [0x800072a8]:sd<br> |
| 686|[0x8000b578]<br>0x2222222222222222|- rs1_val==3689348814741910324 and rs2_val==12297829382473034410<br>                                                                                                                                                                                           |[0x800072ec]:mulhu<br> [0x800072f0]:sd<br> |
| 687|[0x8000b580]<br>0x0000000000000001|- rs1_val==3689348814741910324 and rs2_val==5<br>                                                                                                                                                                                                              |[0x80007318]:mulhu<br> [0x8000731c]:sd<br> |
| 688|[0x8000b588]<br>0x0a3d70a3d70a3d70|- rs1_val==3689348814741910324 and rs2_val==3689348814741910323<br>                                                                                                                                                                                            |[0x80007360]:mulhu<br> [0x80007364]:sd<br> |
| 689|[0x8000b590]<br>0x147ae147ae147ae1|- rs1_val==3689348814741910324 and rs2_val==7378697629483820646<br>                                                                                                                                                                                            |[0x800073a8]:mulhu<br> [0x800073ac]:sd<br> |
| 690|[0x8000b598]<br>0x00000000243430a3|- rs1_val==3689348814741910324 and rs2_val==3037000499<br>                                                                                                                                                                                                     |[0x800073e0]:mulhu<br> [0x800073e4]:sd<br> |
| 691|[0x8000b5a0]<br>0x0000000000000000|- rs1_val==3689348814741910324 and rs2_val==0<br>                                                                                                                                                                                                              |[0x8000740c]:mulhu<br> [0x80007410]:sd<br> |
| 692|[0x8000b5a8]<br>0x0000000033333333|- rs1_val==3689348814741910324 and rs2_val==4294967296<br>                                                                                                                                                                                                     |[0x8000743c]:mulhu<br> [0x80007440]:sd<br> |
| 693|[0x8000b5b0]<br>0x0000000000000000|- rs1_val==3689348814741910324 and rs2_val==2<br>                                                                                                                                                                                                              |[0x80007468]:mulhu<br> [0x8000746c]:sd<br> |
| 694|[0x8000b5b8]<br>0x1111111111111111|- rs1_val==3689348814741910324 and rs2_val==6148914691236517204<br>                                                                                                                                                                                            |[0x800074b0]:mulhu<br> [0x800074b4]:sd<br> |
| 695|[0x8000b5c0]<br>0x2222222222222222|- rs1_val==3689348814741910324 and rs2_val==12297829382473034409<br>                                                                                                                                                                                           |[0x800074f8]:mulhu<br> [0x800074fc]:sd<br> |
| 696|[0x8000b5c8]<br>0x0000000000000000|- rs1_val==3689348814741910324 and rs2_val==4<br>                                                                                                                                                                                                              |[0x80007524]:mulhu<br> [0x80007528]:sd<br> |
| 697|[0x8000b5d0]<br>0x0a3d70a3d70a3d70|- rs1_val==3689348814741910324 and rs2_val==3689348814741910322<br>                                                                                                                                                                                            |[0x8000756c]:mulhu<br> [0x80007570]:sd<br> |
| 698|[0x8000b5d8]<br>0x147ae147ae147ae1|- rs1_val==3689348814741910324 and rs2_val==7378697629483820645<br>                                                                                                                                                                                            |[0x800075b4]:mulhu<br> [0x800075b8]:sd<br> |
| 699|[0x8000b5e0]<br>0x00000000243430a3|- rs1_val==3689348814741910324 and rs2_val==3037000498<br>                                                                                                                                                                                                     |[0x800075ec]:mulhu<br> [0x800075f0]:sd<br> |
| 700|[0x8000b5e8]<br>0x0000000033333333|- rs1_val==3689348814741910324 and rs2_val==4294967295<br>                                                                                                                                                                                                     |[0x80007620]:mulhu<br> [0x80007624]:sd<br> |
| 701|[0x8000b5f0]<br>0x1111111111111111|- rs1_val==3689348814741910324 and rs2_val==6148914691236517206<br>                                                                                                                                                                                            |[0x80007668]:mulhu<br> [0x8000766c]:sd<br> |
| 702|[0x8000b5f8]<br>0x2222222222222222|- rs1_val==3689348814741910324 and rs2_val==12297829382473034411<br>                                                                                                                                                                                           |[0x800076b0]:mulhu<br> [0x800076b4]:sd<br> |
| 703|[0x8000b600]<br>0x0000000000000001|- rs1_val==3689348814741910324 and rs2_val==6<br>                                                                                                                                                                                                              |[0x800076dc]:mulhu<br> [0x800076e0]:sd<br> |
| 704|[0x8000b608]<br>0x0a3d70a3d70a3d70|- rs1_val==3689348814741910324 and rs2_val==3689348814741910324<br>                                                                                                                                                                                            |[0x80007724]:mulhu<br> [0x80007728]:sd<br> |
| 705|[0x8000b610]<br>0x147ae147ae147ae1|- rs1_val==3689348814741910324 and rs2_val==7378697629483820647<br>                                                                                                                                                                                            |[0x8000776c]:mulhu<br> [0x80007770]:sd<br> |
| 706|[0x8000b618]<br>0x00000000243430a4|- rs1_val==3689348814741910324 and rs2_val==3037000500<br>                                                                                                                                                                                                     |[0x800077a4]:mulhu<br> [0x800077a8]:sd<br> |
| 707|[0x8000b620]<br>0x0000000000000000|- rs1_val==3689348814741910324 and rs2_val==1<br>                                                                                                                                                                                                              |[0x800077d0]:mulhu<br> [0x800077d4]:sd<br> |
| 708|[0x8000b628]<br>0x0000000033333333|- rs1_val==3689348814741910324 and rs2_val==4294967297<br>                                                                                                                                                                                                     |[0x80007804]:mulhu<br> [0x80007808]:sd<br> |
| 709|[0x8000b630]<br>0x0000000000000001|- rs1_val==7378697629483820647 and rs2_val==3<br>                                                                                                                                                                                                              |[0x80007830]:mulhu<br> [0x80007834]:sd<br> |
| 710|[0x8000b638]<br>0x2222222222222222|- rs1_val==7378697629483820647 and rs2_val==6148914691236517205<br>                                                                                                                                                                                            |[0x80007878]:mulhu<br> [0x8000787c]:sd<br> |
| 711|[0x8000b640]<br>0x4444444444444444|- rs1_val==7378697629483820647 and rs2_val==12297829382473034410<br>                                                                                                                                                                                           |[0x800078c0]:mulhu<br> [0x800078c4]:sd<br> |
| 712|[0x8000b648]<br>0x0000000000000002|- rs1_val==7378697629483820647 and rs2_val==5<br>                                                                                                                                                                                                              |[0x800078ec]:mulhu<br> [0x800078f0]:sd<br> |
| 713|[0x8000b650]<br>0x147ae147ae147ae1|- rs1_val==7378697629483820647 and rs2_val==3689348814741910323<br>                                                                                                                                                                                            |[0x80007934]:mulhu<br> [0x80007938]:sd<br> |
| 714|[0x8000b658]<br>0x28f5c28f5c28f5c2|- rs1_val==7378697629483820647 and rs2_val==7378697629483820646<br>                                                                                                                                                                                            |[0x8000797c]:mulhu<br> [0x80007980]:sd<br> |
| 715|[0x8000b660]<br>0x0000000048686147|- rs1_val==7378697629483820647 and rs2_val==3037000499<br>                                                                                                                                                                                                     |[0x800079b4]:mulhu<br> [0x800079b8]:sd<br> |
| 716|[0x8000b668]<br>0x0000000000000000|- rs1_val==7378697629483820647 and rs2_val==0<br>                                                                                                                                                                                                              |[0x800079e0]:mulhu<br> [0x800079e4]:sd<br> |
| 717|[0x8000b670]<br>0x0000000066666666|- rs1_val==7378697629483820647 and rs2_val==4294967296<br>                                                                                                                                                                                                     |[0x80007a10]:mulhu<br> [0x80007a14]:sd<br> |
| 718|[0x8000b678]<br>0x0000000000000000|- rs1_val==7378697629483820647 and rs2_val==2<br>                                                                                                                                                                                                              |[0x80007a3c]:mulhu<br> [0x80007a40]:sd<br> |
| 719|[0x8000b680]<br>0x2222222222222221|- rs1_val==7378697629483820647 and rs2_val==6148914691236517204<br>                                                                                                                                                                                            |[0x80007a84]:mulhu<br> [0x80007a88]:sd<br> |
| 720|[0x8000b688]<br>0x4444444444444443|- rs1_val==7378697629483820647 and rs2_val==12297829382473034409<br>                                                                                                                                                                                           |[0x80007acc]:mulhu<br> [0x80007ad0]:sd<br> |
| 721|[0x8000b690]<br>0x0000000000000001|- rs1_val==7378697629483820647 and rs2_val==4<br>                                                                                                                                                                                                              |[0x80007af8]:mulhu<br> [0x80007afc]:sd<br> |
| 722|[0x8000b698]<br>0x147ae147ae147ae0|- rs1_val==7378697629483820647 and rs2_val==3689348814741910322<br>                                                                                                                                                                                            |[0x80007b40]:mulhu<br> [0x80007b44]:sd<br> |
| 723|[0x8000b6a0]<br>0x28f5c28f5c28f5c2|- rs1_val==7378697629483820647 and rs2_val==7378697629483820645<br>                                                                                                                                                                                            |[0x80007b88]:mulhu<br> [0x80007b8c]:sd<br> |
| 724|[0x8000b6a8]<br>0x0000000048686147|- rs1_val==7378697629483820647 and rs2_val==3037000498<br>                                                                                                                                                                                                     |[0x80007bc0]:mulhu<br> [0x80007bc4]:sd<br> |
| 725|[0x8000b6b0]<br>0x0000000066666666|- rs1_val==7378697629483820647 and rs2_val==4294967295<br>                                                                                                                                                                                                     |[0x80007bf4]:mulhu<br> [0x80007bf8]:sd<br> |
| 726|[0x8000b6b8]<br>0x2222222222222222|- rs1_val==7378697629483820647 and rs2_val==6148914691236517206<br>                                                                                                                                                                                            |[0x80007c3c]:mulhu<br> [0x80007c40]:sd<br> |
| 727|[0x8000b6c0]<br>0x4444444444444444|- rs1_val==7378697629483820647 and rs2_val==12297829382473034411<br>                                                                                                                                                                                           |[0x80007c84]:mulhu<br> [0x80007c88]:sd<br> |
| 728|[0x8000b6c8]<br>0x0000000000000002|- rs1_val==7378697629483820647 and rs2_val==6<br>                                                                                                                                                                                                              |[0x80007cb0]:mulhu<br> [0x80007cb4]:sd<br> |
| 729|[0x8000b6d0]<br>0x147ae147ae147ae1|- rs1_val==7378697629483820647 and rs2_val==3689348814741910324<br>                                                                                                                                                                                            |[0x80007cf8]:mulhu<br> [0x80007cfc]:sd<br> |
| 730|[0x8000b6d8]<br>0x28f5c28f5c28f5c3|- rs1_val==7378697629483820647 and rs2_val==7378697629483820647<br>                                                                                                                                                                                            |[0x80007d40]:mulhu<br> [0x80007d44]:sd<br> |
| 731|[0x8000b6e0]<br>0x0000000048686148|- rs1_val==7378697629483820647 and rs2_val==3037000500<br>                                                                                                                                                                                                     |[0x80007d78]:mulhu<br> [0x80007d7c]:sd<br> |
| 732|[0x8000b6e8]<br>0x0000000000000000|- rs1_val==7378697629483820647 and rs2_val==1<br>                                                                                                                                                                                                              |[0x80007da4]:mulhu<br> [0x80007da8]:sd<br> |
| 733|[0x8000b6f0]<br>0x0000000066666666|- rs1_val==7378697629483820647 and rs2_val==4294967297<br>                                                                                                                                                                                                     |[0x80007dd8]:mulhu<br> [0x80007ddc]:sd<br> |
| 734|[0x8000b6f8]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==3<br>                                                                                                                                                                                                                       |[0x80007df4]:mulhu<br> [0x80007df8]:sd<br> |
| 735|[0x8000b700]<br>0x000000003c56fbbb|- rs1_val==3037000500 and rs2_val==6148914691236517205<br>                                                                                                                                                                                                     |[0x80007e2c]:mulhu<br> [0x80007e30]:sd<br> |
| 736|[0x8000b708]<br>0x0000000078adf777|- rs1_val==3037000500 and rs2_val==12297829382473034410<br>                                                                                                                                                                                                    |[0x80007e64]:mulhu<br> [0x80007e68]:sd<br> |
| 737|[0x8000b710]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==5<br>                                                                                                                                                                                                                       |[0x80007e80]:mulhu<br> [0x80007e84]:sd<br> |
| 738|[0x8000b718]<br>0x00000000243430a3|- rs1_val==3037000500 and rs2_val==3689348814741910323<br>                                                                                                                                                                                                     |[0x80007eb8]:mulhu<br> [0x80007ebc]:sd<br> |
| 739|[0x8000b720]<br>0x0000000048686147|- rs1_val==3037000500 and rs2_val==7378697629483820646<br>                                                                                                                                                                                                     |[0x80007ef0]:mulhu<br> [0x80007ef4]:sd<br> |
| 740|[0x8000b728]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==3037000499<br>                                                                                                                                                                                                              |[0x80007f18]:mulhu<br> [0x80007f1c]:sd<br> |
| 741|[0x8000b730]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==0<br>                                                                                                                                                                                                                       |[0x80007f34]:mulhu<br> [0x80007f38]:sd<br> |
| 742|[0x8000b738]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==4294967296<br>                                                                                                                                                                                                              |[0x80007f54]:mulhu<br> [0x80007f58]:sd<br> |
| 743|[0x8000b740]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==2<br>                                                                                                                                                                                                                       |[0x80007f70]:mulhu<br> [0x80007f74]:sd<br> |
| 744|[0x8000b748]<br>0x000000003c56fbbb|- rs1_val==3037000500 and rs2_val==6148914691236517204<br>                                                                                                                                                                                                     |[0x80007fa8]:mulhu<br> [0x80007fac]:sd<br> |
| 745|[0x8000b750]<br>0x0000000078adf777|- rs1_val==3037000500 and rs2_val==12297829382473034409<br>                                                                                                                                                                                                    |[0x80007fe0]:mulhu<br> [0x80007fe4]:sd<br> |
| 746|[0x8000b758]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==4<br>                                                                                                                                                                                                                       |[0x80007ffc]:mulhu<br> [0x80008000]:sd<br> |
| 747|[0x8000b760]<br>0x00000000243430a3|- rs1_val==3037000500 and rs2_val==3689348814741910322<br>                                                                                                                                                                                                     |[0x80008034]:mulhu<br> [0x80008038]:sd<br> |
| 748|[0x8000b768]<br>0x0000000048686147|- rs1_val==3037000500 and rs2_val==7378697629483820645<br>                                                                                                                                                                                                     |[0x8000806c]:mulhu<br> [0x80008070]:sd<br> |
| 749|[0x8000b770]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==3037000498<br>                                                                                                                                                                                                              |[0x80008094]:mulhu<br> [0x80008098]:sd<br> |
| 750|[0x8000b778]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==4294967295<br>                                                                                                                                                                                                              |[0x800080b8]:mulhu<br> [0x800080bc]:sd<br> |
| 751|[0x8000b780]<br>0x000000003c56fbbc|- rs1_val==3037000500 and rs2_val==6148914691236517206<br>                                                                                                                                                                                                     |[0x800080f0]:mulhu<br> [0x800080f4]:sd<br> |
| 752|[0x8000b788]<br>0x0000000078adf778|- rs1_val==3037000500 and rs2_val==12297829382473034411<br>                                                                                                                                                                                                    |[0x80008128]:mulhu<br> [0x8000812c]:sd<br> |
| 753|[0x8000b790]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==6<br>                                                                                                                                                                                                                       |[0x80008144]:mulhu<br> [0x80008148]:sd<br> |
| 754|[0x8000b798]<br>0x00000000243430a4|- rs1_val==3037000500 and rs2_val==3689348814741910324<br>                                                                                                                                                                                                     |[0x8000817c]:mulhu<br> [0x80008180]:sd<br> |
| 755|[0x8000b7a0]<br>0x0000000048686148|- rs1_val==3037000500 and rs2_val==7378697629483820647<br>                                                                                                                                                                                                     |[0x800081b4]:mulhu<br> [0x800081b8]:sd<br> |
| 756|[0x8000b7a8]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==3037000500<br>                                                                                                                                                                                                              |[0x800081dc]:mulhu<br> [0x800081e0]:sd<br> |
| 757|[0x8000b7b0]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==1<br>                                                                                                                                                                                                                       |[0x800081f8]:mulhu<br> [0x800081fc]:sd<br> |
| 758|[0x8000b7b8]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==4294967297<br>                                                                                                                                                                                                              |[0x8000821c]:mulhu<br> [0x80008220]:sd<br> |
| 759|[0x8000b7c0]<br>0x0000000000000000|- rs1_val==1 and rs2_val==3<br>                                                                                                                                                                                                                                |[0x8000822c]:mulhu<br> [0x80008230]:sd<br> |
| 760|[0x8000b7c8]<br>0x0000000000000000|- rs1_val==1 and rs2_val==12297829382473034410<br>                                                                                                                                                                                                             |[0x80008258]:mulhu<br> [0x8000825c]:sd<br> |
| 761|[0x8000b7d0]<br>0x0000000000000000|- rs1_val==1 and rs2_val==5<br>                                                                                                                                                                                                                                |[0x80008268]:mulhu<br> [0x8000826c]:sd<br> |
| 762|[0x8000b7d8]<br>0x0000000000000000|- rs1_val==1 and rs2_val==3689348814741910323<br>                                                                                                                                                                                                              |[0x80008294]:mulhu<br> [0x80008298]:sd<br> |
| 763|[0x8000b7e0]<br>0x0000000000000000|- rs1_val==1 and rs2_val==7378697629483820646<br>                                                                                                                                                                                                              |[0x800082c0]:mulhu<br> [0x800082c4]:sd<br> |
| 764|[0x8000b7e8]<br>0x0000000000000000|- rs1_val==1 and rs2_val==3037000499<br>                                                                                                                                                                                                                       |[0x800082dc]:mulhu<br> [0x800082e0]:sd<br> |
| 765|[0x8000b7f0]<br>0x0000000000000000|- rs1_val==1 and rs2_val==0<br>                                                                                                                                                                                                                                |[0x800082ec]:mulhu<br> [0x800082f0]:sd<br> |
| 766|[0x8000b7f8]<br>0x0000000000000000|- rs1_val==1 and rs2_val==4294967296<br>                                                                                                                                                                                                                       |[0x80008300]:mulhu<br> [0x80008304]:sd<br> |
| 767|[0x8000b800]<br>0x0000000000000000|- rs1_val==1 and rs2_val==2<br>                                                                                                                                                                                                                                |[0x80008310]:mulhu<br> [0x80008314]:sd<br> |
| 768|[0x8000b808]<br>0x0000000000000000|- rs1_val==1 and rs2_val==6148914691236517204<br>                                                                                                                                                                                                              |[0x8000833c]:mulhu<br> [0x80008340]:sd<br> |
| 769|[0x8000b810]<br>0x0000000000000000|- rs1_val==1 and rs2_val==12297829382473034409<br>                                                                                                                                                                                                             |[0x80008368]:mulhu<br> [0x8000836c]:sd<br> |
| 770|[0x8000b818]<br>0x0000000000000000|- rs1_val==1 and rs2_val==4<br>                                                                                                                                                                                                                                |[0x80008378]:mulhu<br> [0x8000837c]:sd<br> |
| 771|[0x8000b820]<br>0x0000000000000000|- rs1_val==1 and rs2_val==3689348814741910322<br>                                                                                                                                                                                                              |[0x800083a4]:mulhu<br> [0x800083a8]:sd<br> |
| 772|[0x8000b828]<br>0x0000000000000000|- rs1_val==1 and rs2_val==7378697629483820645<br>                                                                                                                                                                                                              |[0x800083d0]:mulhu<br> [0x800083d4]:sd<br> |
| 773|[0x8000b830]<br>0x0000000000000000|- rs1_val==1 and rs2_val==3037000498<br>                                                                                                                                                                                                                       |[0x800083ec]:mulhu<br> [0x800083f0]:sd<br> |
| 774|[0x8000b838]<br>0x0000000000000000|- rs1_val==1 and rs2_val==4294967295<br>                                                                                                                                                                                                                       |[0x80008404]:mulhu<br> [0x80008408]:sd<br> |
| 775|[0x8000b840]<br>0x0000000000000000|- rs1_val==1 and rs2_val==6148914691236517206<br>                                                                                                                                                                                                              |[0x80008430]:mulhu<br> [0x80008434]:sd<br> |
| 776|[0x8000b848]<br>0x0000000000000000|- rs1_val==1 and rs2_val==12297829382473034411<br>                                                                                                                                                                                                             |[0x8000845c]:mulhu<br> [0x80008460]:sd<br> |
| 777|[0x8000b850]<br>0x0000000000000000|- rs1_val==1 and rs2_val==6<br>                                                                                                                                                                                                                                |[0x8000846c]:mulhu<br> [0x80008470]:sd<br> |
| 778|[0x8000b858]<br>0x0000000000000000|- rs1_val==1 and rs2_val==3689348814741910324<br>                                                                                                                                                                                                              |[0x80008498]:mulhu<br> [0x8000849c]:sd<br> |
| 779|[0x8000b860]<br>0x0000000000000000|- rs1_val==1 and rs2_val==7378697629483820647<br>                                                                                                                                                                                                              |[0x800084c4]:mulhu<br> [0x800084c8]:sd<br> |
| 780|[0x8000b868]<br>0x0000000000000000|- rs1_val==1 and rs2_val==3037000500<br>                                                                                                                                                                                                                       |[0x800084e0]:mulhu<br> [0x800084e4]:sd<br> |
| 781|[0x8000b870]<br>0x0000000000000000|- rs1_val==1 and rs2_val==1<br>                                                                                                                                                                                                                                |[0x800084f0]:mulhu<br> [0x800084f4]:sd<br> |
| 782|[0x8000b878]<br>0x0000000000000000|- rs1_val==1 and rs2_val==4294967297<br>                                                                                                                                                                                                                       |[0x80008508]:mulhu<br> [0x8000850c]:sd<br> |
| 783|[0x8000b880]<br>0x0000000000000000|- rs1_val==4294967297 and rs2_val==3<br>                                                                                                                                                                                                                       |[0x80008520]:mulhu<br> [0x80008524]:sd<br> |
| 784|[0x8000b888]<br>0x0000000055555555|- rs1_val==4294967297 and rs2_val==6148914691236517205<br>                                                                                                                                                                                                     |[0x80008554]:mulhu<br> [0x80008558]:sd<br> |
| 785|[0x8000b890]<br>0x00000000aaaaaaab|- rs1_val==4294967297 and rs2_val==12297829382473034410<br>                                                                                                                                                                                                    |[0x80008588]:mulhu<br> [0x8000858c]:sd<br> |
| 786|[0x8000b898]<br>0x0000000000000000|- rs1_val==4294967297 and rs2_val==5<br>                                                                                                                                                                                                                       |[0x800085a0]:mulhu<br> [0x800085a4]:sd<br> |
| 787|[0x8000b8a0]<br>0x0000000033333333|- rs1_val==4294967297 and rs2_val==3689348814741910323<br>                                                                                                                                                                                                     |[0x800085dc]:mulhu<br> [0x800085e0]:sd<br> |
| 788|[0x8000b8a8]<br>0x0000000066666666|- rs1_val==4294967297 and rs2_val==7378697629483820646<br>                                                                                                                                                                                                     |[0x80008610]:mulhu<br> [0x80008614]:sd<br> |
| 789|[0x8000b8b0]<br>0x0000000000000000|- rs1_val==4294967297 and rs2_val==3037000499<br>                                                                                                                                                                                                              |[0x80008634]:mulhu<br> [0x80008638]:sd<br> |
| 790|[0x8000b8b8]<br>0x0000000000000000|- rs1_val==4294967297 and rs2_val==0<br>                                                                                                                                                                                                                       |[0x8000864c]:mulhu<br> [0x80008650]:sd<br> |
| 791|[0x8000b8c0]<br>0x0000000000000001|- rs1_val==4294967297 and rs2_val==4294967296<br>                                                                                                                                                                                                              |[0x80008668]:mulhu<br> [0x8000866c]:sd<br> |
| 792|[0x8000b8c8]<br>0x0000000000000000|- rs1_val==4294967297 and rs2_val==2<br>                                                                                                                                                                                                                       |[0x80008680]:mulhu<br> [0x80008684]:sd<br> |
| 793|[0x8000b8d0]<br>0x0000000055555555|- rs1_val==4294967297 and rs2_val==6148914691236517204<br>                                                                                                                                                                                                     |[0x800086b4]:mulhu<br> [0x800086b8]:sd<br> |
| 794|[0x8000b8d8]<br>0x00000000aaaaaaab|- rs1_val==4294967297 and rs2_val==12297829382473034409<br>                                                                                                                                                                                                    |[0x800086e8]:mulhu<br> [0x800086ec]:sd<br> |
| 795|[0x8000b8e0]<br>0x0000000000000000|- rs1_val==4294967297 and rs2_val==4<br>                                                                                                                                                                                                                       |[0x80008700]:mulhu<br> [0x80008704]:sd<br> |
| 796|[0x8000b8e8]<br>0x0000000033333333|- rs1_val==4294967297 and rs2_val==3689348814741910322<br>                                                                                                                                                                                                     |[0x80008734]:mulhu<br> [0x80008738]:sd<br> |
| 797|[0x8000b8f0]<br>0x0000000066666666|- rs1_val==4294967297 and rs2_val==7378697629483820645<br>                                                                                                                                                                                                     |[0x80008768]:mulhu<br> [0x8000876c]:sd<br> |
| 798|[0x8000b8f8]<br>0x0000000000000000|- rs1_val==4294967297 and rs2_val==3037000498<br>                                                                                                                                                                                                              |[0x8000878c]:mulhu<br> [0x80008790]:sd<br> |
| 799|[0x8000b900]<br>0x0000000000000000|- rs1_val==4294967297 and rs2_val==4294967295<br>                                                                                                                                                                                                              |[0x800087ac]:mulhu<br> [0x800087b0]:sd<br> |
| 800|[0x8000b908]<br>0x0000000055555555|- rs1_val==4294967297 and rs2_val==6148914691236517206<br>                                                                                                                                                                                                     |[0x800087e0]:mulhu<br> [0x800087e4]:sd<br> |
| 801|[0x8000b910]<br>0x00000000aaaaaaab|- rs1_val==4294967297 and rs2_val==12297829382473034411<br>                                                                                                                                                                                                    |[0x80008814]:mulhu<br> [0x80008818]:sd<br> |
| 802|[0x8000b918]<br>0x0000000000000000|- rs1_val==4294967297 and rs2_val==6<br>                                                                                                                                                                                                                       |[0x8000882c]:mulhu<br> [0x80008830]:sd<br> |
| 803|[0x8000b920]<br>0x0000000033333333|- rs1_val==4294967297 and rs2_val==3689348814741910324<br>                                                                                                                                                                                                     |[0x80008860]:mulhu<br> [0x80008864]:sd<br> |
| 804|[0x8000b928]<br>0x0000000066666666|- rs1_val==4294967297 and rs2_val==7378697629483820647<br>                                                                                                                                                                                                     |[0x80008894]:mulhu<br> [0x80008898]:sd<br> |
| 805|[0x8000b930]<br>0x0000000000000000|- rs1_val==4294967297 and rs2_val==3037000500<br>                                                                                                                                                                                                              |[0x800088b8]:mulhu<br> [0x800088bc]:sd<br> |
| 806|[0x8000b938]<br>0x0000000000000000|- rs1_val==4294967297 and rs2_val==1<br>                                                                                                                                                                                                                       |[0x800088d0]:mulhu<br> [0x800088d4]:sd<br> |
| 807|[0x8000b940]<br>0x0000000000000001|- rs1_val==4294967297 and rs2_val==4294967297<br>                                                                                                                                                                                                              |[0x800088f0]:mulhu<br> [0x800088f4]:sd<br> |
| 808|[0x8000b948]<br>0x0000000000000000|- rs1_val==6 and rs2_val==3037000500<br>                                                                                                                                                                                                                       |[0x8000890c]:mulhu<br> [0x80008910]:sd<br> |
| 809|[0x8000b950]<br>0x0000000000000000|- rs1_val==6 and rs2_val==1<br>                                                                                                                                                                                                                                |[0x8000891c]:mulhu<br> [0x80008920]:sd<br> |
| 810|[0x8000b958]<br>0x0000000000000000|- rs1_val==6 and rs2_val==4294967297<br>                                                                                                                                                                                                                       |[0x80008934]:mulhu<br> [0x80008938]:sd<br> |
| 811|[0x8000b960]<br>0x0000000000000000|- rs1_val==3689348814741910324 and rs2_val==3<br>                                                                                                                                                                                                              |[0x80008960]:mulhu<br> [0x80008964]:sd<br> |
